function [x_M, vc_bs] = bs_abf(match, id, strg_M, K, start, session, reps)
%
% This version was last updated on 08/27/12
% The main changes were
%     - correcting a call to opt
%     - how n_bs and no_match

% generate new vars
foo = unique(session);              % vector with the session identifier of each session
no_sess = size(foo,1);              % Number of sessions
n_bs = zeros(no_sess,1);             % initialize a variable that gives the number of subjects in each session
no_match = zeros(no_sess,1);         % initialize a variable that gives the number of matches in each session
for j = 1:no_sess
    n_bs(j,1) = size(unique(id(find(session == foo(j,1)))),1);
    no_match(j,1) = size(unique(match(find(session == foo(j,1)))),1);
end
clear foo
s_val = unique(session);             % A vector with the numerical identifier of each session
foo = ones(size(match));

% start loop to compute estimates
x_M = [];
rand('state', 123456789);
for i = 1:reps
    m = 0;
    match_bs = [];
    strg_M_bs = [];
    id2_bs = [];
    s_bs = randsample(s_val, no_sess, 'true');      % identifier of sessions randomly selected
    for j = 1:no_sess        
        id_bs = id(session == s_bs(j));             % the subjects randomly selected in session j
        match_j_bs = match(session == s_bs(j));    % the matches to randomly draw from        
        for k = 1:n_bs(j)  % resamples as many students as there are in the jth session
            m = m+1;
            s_i_bs = randsample(id_bs, 1, 'true');
            match_k_bs = match_j_bs(id_bs == s_i_bs);
            match_foo = [];
            strg_foo = [];
            for l = 1:no_match(j)                   % resamples the matchs for each subject
                match_l_bs = randsample(match_k_bs, 1, 'true');
                match_foo = [match_foo; m*foo(match_k_bs == match_l_bs)];
                strg_foo = [strg_foo; strg_M((id == s_i_bs) & (match == match_l_bs), 1:K)];
            end
            % the three lines that follow construct the bootstrap sample
            match_bs = [match_bs; match_foo];
            strg_M_bs = [strg_M_bs; strg_foo];
            id2_bs = [id2_bs; m*foo(1:size(match_foo))];  % this generates a different id for the same subject if he is randomly re-selected
        end
    end
    max_id_bs = max(id2_bs);
    min_id_bs = min(id2_bs);    
    for l = min_id_bs:max_id_bs
        max_match_bs(l) = max(match_bs(find(id2_bs==l)));
        min_match_bs(l) = min(match_bs(find(id2_bs==l)));
    end
    % optimization
    [x, ll, hess, exitflag] = opt_abf(match_bs, min_match_bs, max_match_bs, id2_bs, min_id_bs, max_id_bs, strg_M_bs, K, start);
    if x(1,1) > 1.5
        for s = 0.1:0.1:1.5
            [x_temp, ll_temp, hess_temp, exitflag_temp] = opt_abf(match_bs, min_match_bs, max_match_bs, id2_bs, min_id_bs, max_id_bs, strg_M_bs, K, [s; ones(K-1,1)/K]);
            if ll_temp < ll
               x = x_temp; ll = ll_temp; hess = hess_temp; exitflag = exitflag_temp;
            end
        end
    end
    if x(1,1)>1.5
        disp('strange');
        exit
    end
    if min(x) < 0, bar = x; bar(find(bar>0))=bar(find(bar>0))-(sum(bar(find(bar<0)))/length(find(bar>0)+1)); bar(find(bar<0))=0; x=bar; end
    if exitflag == 0, x_M = x_M; else x_M = [x_M, x];
   end;
    i
end

% variance-covariance
vc_bs = cov(x_M');
