
warning off all

% sets the path to facilitate calls loading and saving data
if ismac == 1
    cd ../../'Dropbox (CfESS)'/abf    % that's the path for the Macs
elseif ismac == 0
    if isunix == 1
        cd /home/guillaume/Desktop/Shared/gfrechette/'Dropbox (CfESS)'/abf
    elseif isunix == 0
        cd c:/gfrechette/'Dropbox (CfESS)'/abf
    else
        disp('Error: OS not recognised');
    end
else
    disp('Error: OS not recognised');
end

% creating a diary
delete('./log/est_test_frd_p.out');
diary('./log/est_test_frd_p.out');
format long;

% load data sets
% treatment 1
All_1 = load( './data/raw/est_abf_1_l4_frd_p' );
include_1 = All_1.include;
x_1 = All_1.x;
gamma_1 = All_1.gamma;
p_1 = All_1.p;
x_M_1 = All_1.x_M;
vc_bs_1 = All_1.vc_bs;
% treatment 2
All_2 = load( './data/raw/est_abf_2_l4_frd_p' );
include_2 = All_2.include;
x_2 = All_2.x;
gamma_2 = All_2.gamma;
p_2 = All_2.p;
x_M_2 = All_2.x_M;
vc_bs_2 = All_2.vc_bs;
% treatment 3
All_3 = load( './data/raw/est_abf_3_l4_frd_p' );
include_3 = All_3.include;
x_3 = All_3.x;
gamma_3 = All_3.gamma;
p_3 = All_3.p;
x_M_3 = All_3.x_M;
vc_bs_3 = All_3.vc_bs;

% display some statistics aggregating estimates into meaningful categories
disp(' ');
disp('Leniency');
disp(' ');
disp(sprintf('No leniency strg in trt 1: %1.3f',p_1(find(include_1==3))+p_1(find(include_1==6))+p_1(find(include_1==7))+p_1(find(include_1==14)) ));
disp(sprintf('No leniency strg in trt 2: %1.3f',p_2(find(include_2==3))+p_2(find(include_2==6))+p_2(find(include_2==7))+p_2(find(include_2==14)) ));
disp(sprintf('No leniency strg in trt 3: %1.3f',p_3(find(include_3==3))+p_3(find(include_3==6))+p_3(find(include_3==7))+p_3(find(include_3==14)) ));
disp(' ');
disp(sprintf('Lenient strg in trt 1: %1.3f',p_1(find(include_1==12))+p_1(find(include_1==13))+p_1(find(include_1==15))+p_1(find(include_1==20))+p_1(find(include_1==21))+p_1(find(include_1==27)) ));
disp(sprintf('Lenient strg in trt 2: %1.3f',p_2(find(include_2==12))+p_2(find(include_2==13))+p_2(find(include_2==15))+p_2(find(include_2==20))+p_2(find(include_2==21))+p_2(find(include_1==27)) ));
disp(sprintf('Lenient strg in trt 3: %1.3f',p_3(find(include_3==12))+p_3(find(include_3==13))+p_3(find(include_3==15))+p_3(find(include_3==20))+p_3(find(include_3==21))+p_3(find(include_1==27)) ));
disp(' ');
disp(sprintf('AC in trt 1: %1.3f',p_1(find(include_1==1))));
disp(sprintf('AC in trt 2: %1.3f',p_2(find(include_2==1))));
disp(sprintf('AC in trt 3: %1.3f',p_3(find(include_3==1))));
disp(' ');
disp(sprintf('Leniency / L + No L in trt 1: %1.3f',( p_1(find(include_1==12))+p_1(find(include_1==13))+p_1(find(include_1==15))+p_1(find(include_1==20))+p_1(find(include_1==21))+p_1(find(include_1==27)) ) / ( p_1(find(include_1==3))+p_1(find(include_1==6))+p_1(find(include_1==7))+p_1(find(include_1==14)) + p_1(find(include_1==12))+p_1(find(include_1==13))+p_1(find(include_1==15))+p_1(find(include_1==20))+p_1(find(include_1==21))+p_1(find(include_1==27)) ) ));
disp(sprintf('Leniency / L + No L in trt 2: %1.3f',( p_2(find(include_2==12))+p_2(find(include_2==13))+p_2(find(include_2==15))+p_2(find(include_2==20))+p_2(find(include_2==21))+p_2(find(include_1==27)) ) / ( p_2(find(include_2==3))+p_2(find(include_2==6))+p_2(find(include_2==7))+p_2(find(include_2==14)) + p_2(find(include_2==12))+p_2(find(include_2==13))+p_2(find(include_2==15))+p_2(find(include_2==20))+p_2(find(include_2==21))+p_2(find(include_1==27)) ) ));
disp(sprintf('Leniency / L + No L in trt 3: %1.3f',( p_3(find(include_3==12))+p_3(find(include_3==13))+p_3(find(include_3==15))+p_3(find(include_3==20))+p_3(find(include_3==21))+p_3(find(include_1==27)) ) / ( p_3(find(include_3==3))+p_3(find(include_3==6))+p_3(find(include_3==7))+p_3(find(include_3==14)) + p_3(find(include_3==12))+p_3(find(include_3==13))+p_3(find(include_3==15))+p_3(find(include_3==20))+p_3(find(include_3==21))+p_3(find(include_1==27)) ) ));
disp(' ');


disp('Forgiveness');
disp(' ');
disp(sprintf('Unforgiving strg in trt 1: %1.3f',p_1(find(include_1==3))+p_1(find(include_1==12))+p_1(find(include_1==20))));
disp(sprintf('Unforgiving strg in trt 2: %1.3f',p_2(find(include_2==3))+p_2(find(include_2==12))+p_2(find(include_2==20))));
disp(sprintf('Unforgiving strg in trt 3: %1.3f',p_3(find(include_3==3))+p_3(find(include_3==12))+p_3(find(include_3==20))));
disp(' ');
disp(sprintf('Forgiving strg in trt 1: %1.3f',p_1(find(include_1==6))+p_1(find(include_1==7))+p_1(find(include_1==13))+p_1(find(include_1==14))+p_1(find(include_1==15))+p_1(find(include_1==21))+p_1(find(include_1==27)) ));
disp(sprintf('Forgiving strg in trt 2: %1.3f',p_2(find(include_2==6))+p_2(find(include_2==7))+p_2(find(include_2==13))+p_2(find(include_2==14))+p_2(find(include_2==15))+p_2(find(include_2==21))+p_2(find(include_1==27)) ));
disp(sprintf('Forgiving strg in trt 3: %1.3f',p_3(find(include_3==6))+p_3(find(include_3==7))+p_3(find(include_3==13))+p_3(find(include_3==14))+p_3(find(include_3==15))+p_3(find(include_3==21))+p_3(find(include_1==27)) ));
disp(' ');
disp(sprintf('Forgiving / F + Unf in trt 1: %1.3f',( p_1(find(include_1==6))+p_1(find(include_1==7))+p_1(find(include_1==13))+p_1(find(include_1==14))+p_1(find(include_1==15))+p_1(find(include_1==21))+p_1(find(include_1==27)) ) / ( p_1(find(include_1==3))+p_1(find(include_1==12))+p_1(find(include_1==20)) + p_1(find(include_1==6))+p_1(find(include_1==7))+p_1(find(include_1==13))+p_1(find(include_1==14))+p_1(find(include_1==15))+p_1(find(include_1==21))+p_1(find(include_1==27)) ) ));
disp(sprintf('Forgiving / F + Unf in trt 2: %1.3f',( p_2(find(include_2==6))+p_2(find(include_2==7))+p_2(find(include_2==13))+p_2(find(include_2==14))+p_2(find(include_2==15))+p_2(find(include_2==21))+p_2(find(include_1==27)) ) / ( p_2(find(include_2==3))+p_2(find(include_2==12))+p_2(find(include_2==20)) + p_2(find(include_2==6))+p_2(find(include_2==7))+p_2(find(include_2==13))+p_2(find(include_2==14))+p_2(find(include_2==15))+p_2(find(include_2==21))+p_2(find(include_1==27)) ) ));
disp(sprintf('Forgiving / F + Unf in trt 3: %1.3f',( p_3(find(include_3==6))+p_3(find(include_3==7))+p_3(find(include_3==13))+p_3(find(include_3==14))+p_3(find(include_3==15))+p_3(find(include_3==21))+p_3(find(include_1==27)) ) / ( p_3(find(include_3==3))+p_3(find(include_3==12))+p_3(find(include_3==20)) + p_3(find(include_3==6))+p_3(find(include_3==7))+p_3(find(include_3==13))+p_3(find(include_3==14))+p_3(find(include_3==15))+p_3(find(include_3==21))+p_3(find(include_1==27)) ) ));
disp(' ');

disp('Cooperative');
disp(' ');
disp(sprintf('Cooperative strg in trt 1: %1.3f',p_1(find(include_1==1))+p_1(find(include_1==3))+p_1(find(include_1==6))+p_1(find(include_1==7))+p_1(find(include_1==12))+p_1(find(include_1==13))+p_1(find(include_1==14))+p_1(find(include_1==15))+p_1(find(include_1==20))+p_1(find(include_1==21))+p_1(find(include_1==27)) ));
disp(sprintf('Cooperative strg in trt 2: %1.3f',p_2(find(include_2==1))+p_2(find(include_2==3))+p_2(find(include_2==6))+p_2(find(include_2==7))+p_2(find(include_2==12))+p_2(find(include_2==13))+p_2(find(include_2==14))+p_2(find(include_2==15))+p_2(find(include_2==20))+p_2(find(include_2==21))+p_2(find(include_2==27)) ));
disp(sprintf('Cooperative strg in trt 3: %1.3f',p_3(find(include_3==1))+p_3(find(include_3==3))+p_3(find(include_3==6))+p_3(find(include_3==7))+p_3(find(include_3==12))+p_3(find(include_3==13))+p_3(find(include_3==14))+p_3(find(include_3==15))+p_3(find(include_3==20))+p_3(find(include_3==21))+p_3(find(include_3==27)) ));
disp(' ');

disp('Noncooperative');
disp(' ');
disp(sprintf('Noncooperative strg in trt 1: %1.3f',p_1(find(include_1==2))+p_1(find(include_1==11))+p_1(find(include_1==28)) ));
disp(sprintf('Noncooperative strg in trt 2: %1.3f',p_2(find(include_2==2))+p_2(find(include_2==11))+p_2(find(include_2==28)) ));
disp(sprintf('Noncooperative strg in trt 3: %1.3f',p_3(find(include_3==2))+p_3(find(include_3==11))+p_3(find(include_3==28)) ));
disp(' ');

disp('Complexity');
disp(' ');
disp('Complexity = 1');
disp(' ');
disp(sprintf('1 state strg in trt 1: %1.3f',p_1(find(include_1==1))+p_1(find(include_1==2)) ));
disp(sprintf('1 state strg in trt 2: %1.3f',p_2(find(include_2==1))+p_2(find(include_2==2)) ));
disp(sprintf('1 state strg in trt 3: %1.3f',p_3(find(include_3==1))+p_3(find(include_3==2)) ));
disp(' ');
disp('Complexity = 2');
disp(' ');
disp(sprintf('2 state strg in trt 1: %1.3f',p_1(find(include_1==3))+p_1(find(include_1==6))+p_1(find(include_1==7))+p_1(find(include_1==9))+p_1(find(include_1==11)) ));
disp(sprintf('2 state strg in trt 2: %1.3f',p_2(find(include_2==3))+p_2(find(include_2==6))+p_2(find(include_2==7))+p_2(find(include_2==9))+p_2(find(include_2==11)) ));
disp(sprintf('2 state strg in trt 3: %1.3f',p_3(find(include_3==3))+p_3(find(include_3==6))+p_3(find(include_3==7))+p_3(find(include_3==9))+p_3(find(include_3==11)) ));
disp(' ');
disp('Complexity = 3');
disp(' ');
disp(sprintf('3 state strg in trt 1: %1.3f',p_1(find(include_1==12))+p_1(find(include_1==13))+p_1(find(include_1==14)) ));
disp(sprintf('3 state strg in trt 2: %1.3f',p_2(find(include_2==12))+p_2(find(include_2==13))+p_2(find(include_2==14)) ));
disp(sprintf('3 state strg in trt 3: %1.3f',p_3(find(include_3==12))+p_3(find(include_3==13))+p_3(find(include_3==14)) ));
disp(' ');
disp('Complexity = 4');
disp(' ');
disp(sprintf('4 state strg in trt 1: %1.3f',p_1(find(include_1==15))+p_1(find(include_1==20))+p_1(find(include_1==21))+p_1(find(include_1==27))+p_1(find(include_1==28)) ));
disp(sprintf('4 state strg in trt 2: %1.3f',p_2(find(include_2==15))+p_2(find(include_2==20))+p_2(find(include_2==21))+p_2(find(include_2==27))+p_2(find(include_2==28)) ));
disp(sprintf('4 state strg in trt 3: %1.3f',p_3(find(include_3==15))+p_3(find(include_3==20))+p_3(find(include_3==21))+p_3(find(include_3==27))+p_3(find(include_3==28)) ));
disp(' ');
disp('Average Complexity');
disp(' ');
disp(sprintf('Average # of states in trt 1: %1.3f',(p_1(find(include_1==1))+p_1(find(include_1==2)))*1 + (p_1(find(include_1==3))+p_1(find(include_1==6))+p_1(find(include_1==7))+p_1(find(include_1==9))+p_1(find(include_1==11)))*2 + (p_1(find(include_1==12))+p_1(find(include_1==13))+p_1(find(include_1==14)))*3 + (p_1(find(include_1==15))+p_1(find(include_1==20))+p_1(find(include_1==21))+p_1(find(include_1==27))+p_1(find(include_1==28)))*4 ));
disp(sprintf('Average # of states in trt 2: %1.3f',(p_2(find(include_2==1))+p_2(find(include_2==2)))*1 + (p_2(find(include_2==3))+p_2(find(include_2==6))+p_2(find(include_2==7))+p_2(find(include_2==9))+p_2(find(include_2==11)))*2 + (p_2(find(include_2==12))+p_2(find(include_2==13))+p_2(find(include_2==14)))*3 + (p_2(find(include_2==15))+p_2(find(include_2==20))+p_2(find(include_2==21))+p_2(find(include_2==27))+p_2(find(include_2==28)))*4 ));
disp(sprintf('Average # of states in trt 3: %1.3f',(p_3(find(include_3==1))+p_3(find(include_3==2)))*1 + (p_3(find(include_3==3))+p_3(find(include_3==6))+p_3(find(include_3==7))+p_3(find(include_3==9))+p_3(find(include_3==11)))*2 + (p_3(find(include_3==12))+p_3(find(include_3==13))+p_3(find(include_3==14)))*3 + (p_3(find(include_3==15))+p_3(find(include_3==20))+p_3(find(include_3==21))+p_3(find(include_3==27))+p_3(find(include_3==28)))*4 ));


% treatment specific results

disp(' ');
disp('%%%%%%%%');
disp('est_abf_1_l4');
disp('%%%%%%%%');

% standard errors
std_1 = sqrt(diag(vc_bs_1));

% display basic results
foo = [-0.999, include_1]';
bar = [x_1; p_1(end)];
baz = [std_1; -0.999];
[foo, bar, baz]
disp(sprintf('Beta = %1.3f',1/(1+exp(-1/x_1(1,1)))));


disp(' ');
disp('Tests equality to 0 using the waldtest');
disp('------------------------');

[ws wp] = waldtest_gf(x_1, [1], 0, vc_bs_1);
tstat_1(1,1) = ws;
pval_1(1,1) = 1-wp;
disp(' ');
disp(sprintf('p-value of gamma = 0: %1.3f',1-wp));
for i = 2:length(include_1)
    [ws wp] = waldtest_gf(x_1, [i], 0, vc_bs_1);
    tstat_1(i,1) = ws;
    pval_1(i,1) = 1-wp;
    if x_1(i) > eps
       disp(' ');
       disp(sprintf('p-value of phi %d = 0: %1.3f',include_1(i-1),1-wp));
    else
       disp(' ');
       disp(sprintf('p-value of phi %d = 0: Cannot reject H0',include_1(i-1)));
    end
end
[ws wp] = waldtest_gf(x_1, [0,ones(1,length(include_1)-1)], 1, vc_bs_1);
tstat_1(length(include_1)+1,1) = ws;
pval_1(length(include_1)+1,1) = 1-wp;
if p_1(end) > eps
    disp(' ');
    disp(sprintf('p-value of phi %d = 0: %1.3f',include_1(end),1-wp));
else
    disp(' ');
    disp(sprintf('p-value of phi %d = 0: Cannot reject H0',include_1(end)));
end

disp(' ');

disp(' ');
disp('%%%%%%%%');
disp('est_abf_2_l4');
disp('%%%%%%%%');

% standard errors
std_2 = sqrt(diag(vc_bs_2));

% display basic results
foo = [-0.999, include_2]';
bar = [x_2; p_2(end)];
baz = [std_2; -0.999];
[foo, bar, baz]
disp(sprintf('Beta = %1.3f',1/(1+exp(-1/x_2(1,1)))));


disp(' ');
disp('Tests equality to 0 using the waldtest');
disp('------------------------');

[ws wp] = waldtest_gf(x_2, [1], 0, vc_bs_2);
tstat_2(1,1) = ws;
pval_2(1,1) = 1-wp;
disp(' ');
disp(sprintf('p-value of gamma = 0: %1.3f',1-wp));
for i = 2:length(include_2)
    [ws wp] = waldtest_gf(x_2, [i], 0, vc_bs_2);
    tstat_2(i,1) = ws;
    pval_2(i,1) = 1-wp;
    if x_2(i) > eps
       disp(' ');
       disp(sprintf('p-value of phi %d = 0: %1.3f',include_2(i-1),1-wp));
    else
       disp(' ');
       disp(sprintf('p-value of phi %d = 0: Cannot reject H0',include_2(i-1)));
    end
end
[ws wp] = waldtest_gf(x_2, [0,ones(1,length(include_2)-1)], 1, vc_bs_2);
tstat_2(length(include_1)+1,1) = ws;
pval_2(length(include_1)+1,1) = 1-wp;
if p_2(end) > eps
    disp(' ');
    disp(sprintf('p-value of phi %d = 0: %1.3f',include_2(end),1-wp));
else
    disp(' ');
    disp(sprintf('p-value of phi %d = 0: Cannot reject H0',include_2(end)));
end

disp(' ');

disp(' ');
disp('%%%%%%%%');
disp('est_abf_3_l4');
disp('%%%%%%%%');

% standard errors
std_3 = sqrt(diag(vc_bs_3));

% display basic results
foo = [-0.999, include_3]';
bar = [x_3; p_3(end)];
baz = [std_3; -0.999];
[foo, bar, baz]
disp(sprintf('Beta = %1.3f',1/(1+exp(-1/x_3(1,1)))));


disp(' ');
disp('Tests equality to 0 using the waldtest');
disp('------------------------');

[ws wp] = waldtest_gf(x_3, [1], 0, vc_bs_3);
tstat_3(i,1) = ws;
pval_3(i,1) = 1-wp;
disp(' ');
disp(sprintf('p-value of gamma = 0: %1.3f',1-wp));
for i = 2:length(include_3)
    [ws wp] = waldtest_gf(x_3, [i], 0, vc_bs_3);
    tstat_3(i,1) = ws;
    pval_3(i,1) = 1-wp;
    if x_3(i) > eps
       disp(' ');
       disp(sprintf('p-value of phi %d = 0: %1.3f',include_3(i-1),1-wp));
    else
       disp(' ');
       disp(sprintf('p-value of phi %d = 0: Cannot reject H0',include_3(i-1)));
    end
end
[ws wp] = waldtest_gf(x_3, [0,ones(1,length(include_3)-1)], 1, vc_bs_3);
tstat_3(length(include_1)+1,1) = ws;
pval_3(length(include_1)+1,1) = 1-wp;
if p_3(end) > eps
    disp(' ');
    disp(sprintf('p-value of phi %d = 0: %1.3f',include_3(end),1-wp));
else
    disp(' ');
    disp(sprintf('p-value of phi %d = 0: Cannot reject H0',include_3(end)));
end

disp(' ');
disp('Some joint tests using the waldtest');
disp('------------------------');
disp(' ');
[ws wp] = waldtest_gf(x_3, [5,10,12,14], 0, vc_bs_3);
disp(sprintf('p-value of joint test that TFT family is = 0: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x_3, [10,12,14], 0, vc_bs_3);
disp(sprintf('p-value of joint test that TFT family (excluding TFT) is = 0: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x_3, [9,13], 0, vc_bs_3);
disp(sprintf('p-value of joint test that Grim2 and Grim3 = 0: %1.3f',1-wp));

disp(' ');
disp('Some Cross treatment tests using the waldtest');
disp('------------------------');
disp(' ');
% play with results
K = size(p_1,1);
x = [x_1; x_3];
vc_bs = [vc_bs_1, zeros(K,K); zeros(K,K), vc_bs_3];
include = include_1;
[ws wp] = waldtest_gf(x, [0,0,0,1,1,1,0,0,0,0,1,0,0,0,0, 0,0,0,-1,-1,-1,0,0,0,0,-1,0,0,0,0], 0, vc_bs);
disp(sprintf('p-value of as many non-lenient strg in Perfect and Private: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [0,0,0,1,0,0,0,0,1,0,0,0,1,0,0, 0,0,0,-1,0,0,0,0,-1,0,0,0,-1,0,0], 0, vc_bs);
disp(sprintf('p-value of as many unforgiving strg in Perfect and Private: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [0,0,0,0,0,0,0,0,1,1,0,1,1,1,1,0,0,0,0,0,0,0,0,-1,-1,0,-1,-1,-1,-1], 0, vc_bs);
disp(sprintf('p-value of as many lenient strg in Perfect and Private: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [0,0,0,0,1,1,0,0,0,1,1,1,0,1,1,0,0,0,0,-1,-1,0,0,0,-1,-1,-1,0,-1,-1], 0, vc_bs);
disp(sprintf('p-value of as many forgiving strg in Perfect and Private: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [0,0,0,0,0,0,0,0,1,1,0,1,1,1,1,0,0,0,0,0,0,0,0,-1,-1,0,-1,-1,-1,-1; 0,0,0,1,1,1,0,0,0,0,1,0,0,0,0, 0,0,0,-1,-1,-1,0,0,0,0,-1,0,0,0,0], [0;0], vc_bs);
disp(sprintf('p-value of as many non-lenient / lenient strg in Perfect and Private: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [0,0,0,0,1,1,0,0,0,1,1,1,0,1,1,0,0,0,0,-1,-1,0,0,0,-1,-1,-1,0,-1,-1; 0,0,0,1,0,0,0,0,1,0,0,0,1,0,0, 0,0,0,-1,0,0,0,0,-1,0,0,0,-1,0,0], [0;0], vc_bs);
disp(sprintf('p-value of as many unforgiving /forgiving strg in Perfect and Private: %1.3f',1-wp));
disp(' ');
l_per = [0,0,0,0,0,0,0,0,1,1,0,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]*x;
nl_per = [0,0,0,1,1,1,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]*x;
l_ratio_per = l_per / ( l_per + nl_per );
l_ratio_deriv_per = nl_per / ( l_per + nl_per )^2;
l_pri = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,1,1,1]*x;
nl_pri = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,0,0,0,0,1,0,0,0,0]*x;
l_ratio_pri = l_pri / ( l_pri + nl_pri );
l_ratio_deriv_pri = nl_pri / ( l_pri + nl_pri )^2;
l_ratio_dif = l_ratio_per - l_ratio_pri;
l_ratio_deriv = [0,0,0,0,0,0,0,0,l_ratio_deriv_per,l_ratio_deriv_per,0,l_ratio_deriv_per,l_ratio_deriv_per,l_ratio_deriv_per,l_ratio_deriv_per,...
    0,0,0,0,0,0,0,0,-l_ratio_deriv_pri,-l_ratio_deriv_pri,0,-l_ratio_deriv_pri,-l_ratio_deriv_pri,-l_ratio_deriv_pri,-l_ratio_deriv_pri];
l_ratio_vc = l_ratio_deriv * vc_bs * l_ratio_deriv';
% in what follows I multiply the scalar l_ratio_dif by a vector of ones and
% the scalar l_ratio_vc by a matrix of ones to use the walstest m-file so
% that it adjusts the degrees of freedom correctly
[ws wp] = waldtest_gf(l_ratio_dif*ones(size(x)), [1], 0, l_ratio_vc*ones(size(vc_bs)) );
tstat_3(i,1) = ws;
pval_3(i,1) = 1-wp;
disp(sprintf('p-value of lenient ratio difference: %1.3f',1-wp));
disp(' ');
f_per = [0,0,0,0,1,1,0,0,0,1,1,1,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]*x;
nf_per = [0,0,0,1,0,0,0,0,1,0,0,0,1,0,0, 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]*x;
f_ratio_per = f_per / ( f_per + nf_per );
f_ratio_deriv_per = nf_per / ( f_per + nf_per )^2;
f_pri = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,1,1,1,0,1,1]*x;
nf_pri = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0, 0,0,0,1,0,0,0,0,1,0,0,0,1,0,0]*x;
f_ratio_pri = f_pri / ( f_pri + nf_pri );
f_ratio_deriv_pri = nf_pri / ( f_pri + nf_pri )^2;
f_ratio_dif = f_ratio_per - f_ratio_pri;
f_ratio_deriv = [0,0,0,0,f_ratio_deriv_per,f_ratio_deriv_per,0,0,0,f_ratio_deriv_per,f_ratio_deriv_per,f_ratio_deriv_per,0,f_ratio_deriv_per,f_ratio_deriv_per,...
    0,0,0,0,-f_ratio_deriv_pri,-f_ratio_deriv_pri,0,0,0,-f_ratio_deriv_pri,-f_ratio_deriv_pri,-f_ratio_deriv_pri,0,-f_ratio_deriv_pri,-f_ratio_deriv_pri];
f_ratio_vc = f_ratio_deriv * vc_bs * f_ratio_deriv';
% in what follows I multiply the scalar l_ratio_dif by a vector of ones and
% the scalar l_ratio_vc by a matrix of ones to use the walstest m-file so
% that it adjusts the degrees of freedom correctly
[ws wp] = waldtest_gf(f_ratio_dif*ones(size(x)), [1], 0, f_ratio_vc*ones(size(vc_bs)) );
tstat_3(i,1) = ws;
pval_3(i,1) = 1-wp;
disp(sprintf('p-value of forgiving ratio difference: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0], 0, vc_bs);
disp(sprintf('p-value of as many complexity = 1 strg in Perfect and Private: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [0,0,0,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,-1,-1,-1,-1,-1,0,0,0,0,0,0,0], 0, vc_bs);
disp(sprintf('p-value of as many complexity = 2 strg in Perfect and Private: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [0,0,0,0,0,0,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,-1,0,0,0,0], 0, vc_bs);
disp(sprintf('p-value of as many complexity = 3 strg in Perfect and Private: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [0,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,0,0,0,0], 0, vc_bs);
disp(sprintf('p-value of as many complexity = 4 strg in Perfect and Private: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [0,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,-1,-1,-1,-1,-1,-1,-1,0,0,0,0,0,0,0], 0, vc_bs);
disp(sprintf('p-value of as many complexity = 3 or 4 strg in Perfect and Private: %1.3f',1-wp));
disp(' ');
disp('------------------------');



% play with results
x = [x_2; x_3];
vc_bs = [vc_bs_2, zeros(K,K); zeros(K,K), vc_bs_3];
include = include_1;
[ws wp] = waldtest_gf(x, [0,0,0,1,1,1,0,0,0,0,1,0,0,0,0, 0,0,0,-1,-1,-1,0,0,0,0,-1,0,0,0,0], 0, vc_bs);
disp(sprintf('p-value of as many non-lenient strg in Public and Private: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [0,0,0,1,0,0,0,0,1,0,0,0,1,0,0, 0,0,0,-1,0,0,0,0,-1,0,0,0,-1,0,0], 0, vc_bs);
disp(sprintf('p-value of as many unforgiving strg in Public and Private: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [0,0,0,0,0,0,0,0,1,1,0,1,1,1,1,0,0,0,0,0,0,0,0,-1,-1,0,-1,-1,-1,-1], 0, vc_bs);
disp(sprintf('p-value of as many lenient strg in Public and Private: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [0,0,0,0,1,1,0,0,0,1,1,1,0,1,1,0,0,0,0,-1,-1,0,0,0,-1,-1,-1,0,-1,-1], 0, vc_bs);
disp(sprintf('p-value of as many forgiving strg in Public and Private: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [0,0,0,0,0,0,0,0,1,1,0,1,1,1,1,0,0,0,0,0,0,0,0,-1,-1,0,-1,-1,-1,-1; 0,0,0,1,1,1,0,0,0,0,1,0,0,0,0, 0,0,0,-1,-1,-1,0,0,0,0,-1,0,0,0,0], [0;0], vc_bs);
disp(sprintf('p-value of as many non-lenient / lenient strg in Public and Private: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [0,0,0,0,1,1,0,0,0,1,1,1,0,1,1,0,0,0,0,-1,-1,0,0,0,-1,-1,-1,0,-1,-1; 0,0,0,1,0,0,0,0,1,0,0,0,1,0,0, 0,0,0,-1,0,0,0,0,-1,0,0,0,-1,0,0], [0;0], vc_bs);
disp(sprintf('p-value of as many unforgiving /forgiving strg in Public and Private: %1.3f',1-wp));
disp(' ');
l_pub = [0,0,0,0,0,0,0,0,1,1,0,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]*x;
nl_pub = [0,0,0,1,1,1,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]*x;
l_ratio_pub = l_pub / ( l_pub + nl_pub );
l_ratio_deriv_pub = nl_pub / ( l_pub + nl_pub )^2;
l_pri = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,1,1,1]*x;
nl_pri = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,0,0,0,0,1,0,0,0,0]*x;
l_ratio_pri = l_pri / ( l_pri + nl_pri );
l_ratio_deriv_pri = nl_pri / ( l_pri + nl_pri )^2;
l_ratio_dif = l_ratio_pub - l_ratio_pri;
l_ratio_deriv = [0,0,0,0,0,0,0,0,l_ratio_deriv_pub,l_ratio_deriv_pub,0,l_ratio_deriv_pub,l_ratio_deriv_pub,l_ratio_deriv_pub,l_ratio_deriv_pub,...
    0,0,0,0,0,0,0,0,-l_ratio_deriv_pri,-l_ratio_deriv_pri,0,-l_ratio_deriv_pri,-l_ratio_deriv_pri,-l_ratio_deriv_pri,-l_ratio_deriv_pri];
l_ratio_vc = l_ratio_deriv * vc_bs * l_ratio_deriv';
% in what follows I multiply the scalar l_ratio_dif by a vector of ones and
% the scalar l_ratio_vc by a matrix of ones to use the walstest m-file so
% that it adjusts the degrees of freedom correctly
[ws wp] = waldtest_gf(l_ratio_dif*ones(size(x)), [1], 0, l_ratio_vc*ones(size(vc_bs)) );
tstat_3(i,1) = ws;
pval_3(i,1) = 1-wp;
disp(sprintf('p-value of lenient ratio difference: %1.3f',1-wp));
disp(' ');
f_pub = [0,0,0,0,1,1,0,0,0,1,1,1,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]*x;
nf_pub = [0,0,0,1,0,0,0,0,1,0,0,0,1,0,0, 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]*x;
f_ratio_pub = f_pub / ( f_pub + nf_pub );
f_ratio_deriv_pub = nf_pub / ( f_pub + nf_pub )^2;
f_pri = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,1,1,1,0,1,1]*x;
nf_pri = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0, 0,0,0,1,0,0,0,0,1,0,0,0,1,0,0]*x;
f_ratio_pri = f_pri / ( f_pri + nf_pri );
f_ratio_deriv_pri = nf_pri / ( f_pri + nf_pri )^2;
f_ratio_dif = f_ratio_pub - f_ratio_pri;
f_ratio_deriv = [0,0,0,0,f_ratio_deriv_pub,f_ratio_deriv_pub,0,0,0,f_ratio_deriv_pub,f_ratio_deriv_pub,f_ratio_deriv_pub,0,f_ratio_deriv_pub,f_ratio_deriv_pub,...
    0,0,0,0,-f_ratio_deriv_pri,-f_ratio_deriv_pri,0,0,0,-f_ratio_deriv_pri,-f_ratio_deriv_pri,-f_ratio_deriv_pri,0,-f_ratio_deriv_pri,-f_ratio_deriv_pri];
f_ratio_vc = f_ratio_deriv * vc_bs * f_ratio_deriv';
% in what follows I multiply the scalar l_ratio_dif by a vector of ones and
% the scalar l_ratio_vc by a matrix of ones to use the walstest m-file so
% that it adjusts the degrees of freedom correctly
[ws wp] = waldtest_gf(f_ratio_dif*ones(size(x)), [1], 0, f_ratio_vc*ones(size(vc_bs)) );
tstat_3(i,1) = ws;
pval_3(i,1) = 1-wp;
disp(sprintf('p-value of forgiving ratio difference: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0], 0, vc_bs);
disp(sprintf('p-value of as many complexity = 1 strg in Public and Private: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [0,0,0,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,-1,-1,-1,-1,-1,0,0,0,0,0,0,0], 0, vc_bs);
disp(sprintf('p-value of as many complexity = 2 strg in Public and Private: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [0,0,0,0,0,0,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,-1,0,0,0,0], 0, vc_bs);
disp(sprintf('p-value of as many complexity = 3 strg in Public and Private: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [0,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,0,0,0,0], 0, vc_bs);
disp(sprintf('p-value of as many complexity = 4 strg in Public and Private: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [0,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,-1,-1,-1,-1,-1,-1,-1,0,0,0,0,0,0,0], 0, vc_bs);
disp(sprintf('p-value of as many complexity = 3 or 4 strg in Public and Private: %1.3f',1-wp));
disp(' ');
disp('------------------------');

% play with results
x = [x_1; x_2];
vc_bs = [vc_bs_1, zeros(K,K); zeros(K,K), vc_bs_2];
include = include_1;
disp(' ');
l_per = [0,0,0,0,0,0,0,0,1,1,0,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]*x;
nl_per = [0,0,0,1,1,1,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]*x;
l_ratio_per = l_per / ( l_per + nl_per );
l_ratio_deriv_per = nl_per / ( l_per + nl_per )^2;
l_pub = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,1,1,1]*x;
nl_pub = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,0,0,0,0,1,0,0,0,0]*x;
l_ratio_pub = l_pub / ( l_pub + nl_pub );
l_ratio_deriv_pub = nl_pub / ( l_pub + nl_pub )^2;
l_ratio_dif = l_ratio_per - l_ratio_pub;
l_ratio_deriv = [0,0,0,0,0,0,0,0,l_ratio_deriv_per,l_ratio_deriv_per,0,l_ratio_deriv_per,l_ratio_deriv_per,l_ratio_deriv_per,l_ratio_deriv_per,...
    0,0,0,0,0,0,0,0,-l_ratio_deriv_pub,-l_ratio_deriv_pub,0,-l_ratio_deriv_pub,-l_ratio_deriv_pub,-l_ratio_deriv_pub,-l_ratio_deriv_pub];
l_ratio_vc = l_ratio_deriv * vc_bs * l_ratio_deriv';
% in what follows I multiply the scalar l_ratio_dif by a vector of ones and
% the scalar l_ratio_vc by a matrix of ones to use the walstest m-file so
% that it adjusts the degrees of freedom correctly
[ws wp] = waldtest_gf(l_ratio_dif*ones(size(x)), [1], 0, l_ratio_vc*ones(size(vc_bs)) );
tstat_3(i,1) = ws;
pval_3(i,1) = 1-wp;
disp(sprintf('p-value of lenient ratio difference: %1.3f',1-wp));
disp(' ');
f_per = [0,0,0,0,1,1,0,0,0,1,1,1,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]*x;
nf_per = [0,0,0,1,0,0,0,0,1,0,0,0,1,0,0, 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]*x;
f_ratio_per = f_per / ( f_per + nf_per );
f_ratio_deriv_per = nf_per / ( f_per + nf_per )^2;
f_pub = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,1,1,1,0,1,1]*x;
nf_pub = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0, 0,0,0,1,0,0,0,0,1,0,0,0,1,0,0]*x;
f_ratio_pub = f_pub / ( f_pub + nf_pub );
f_ratio_deriv_pub = nf_pub / ( f_pub + nf_pub )^2;
f_ratio_dif = f_ratio_per - f_ratio_pub;
f_ratio_deriv = [0,0,0,0,f_ratio_deriv_per,f_ratio_deriv_per,0,0,0,f_ratio_deriv_per,f_ratio_deriv_per,f_ratio_deriv_per,0,f_ratio_deriv_per,f_ratio_deriv_per,...
    0,0,0,0,-f_ratio_deriv_pub,-f_ratio_deriv_pub,0,0,0,-f_ratio_deriv_pub,-f_ratio_deriv_pub,-f_ratio_deriv_pub,0,-f_ratio_deriv_pub,-f_ratio_deriv_pub];
f_ratio_vc = f_ratio_deriv * vc_bs * f_ratio_deriv';
% in what follows I multiply the scalar l_ratio_dif by a vector of ones and
% the scalar l_ratio_vc by a matrix of ones to use the walstest m-file so
% that it adjusts the degrees of freedom correctly
[ws wp] = waldtest_gf(f_ratio_dif*ones(size(x)), [1], 0, f_ratio_vc*ones(size(vc_bs)) );
tstat_3(i,1) = ws;
pval_3(i,1) = 1-wp;
disp(sprintf('p-value of forgiving ratio difference: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0], 0, vc_bs);
disp(sprintf('p-value of as many complexity = 1 strg in Perfect and Public: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [0,0,0,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,-1,-1,-1,-1,-1,0,0,0,0,0,0,0], 0, vc_bs);
disp(sprintf('p-value of as many complexity = 2 strg in Perfect and Public: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [0,0,0,0,0,0,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,-1,0,0,0,0], 0, vc_bs);
disp(sprintf('p-value of as many complexity = 3 strg in Perfect and Public: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [0,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,0,0,0,0], 0, vc_bs);
disp(sprintf('p-value of as many complexity = 4 strg in Perfect and Public: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [0,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,-1,-1,-1,-1,-1,-1,-1,0,0,0,0,0,0,0], 0, vc_bs);
disp(sprintf('p-value of as many complexity = 3 or 4 strg in Perfect and Public: %1.3f',1-wp));
disp(' ');
disp('------------------------');

% play with results
x = [x_1; x_2; x_3];
vc_bs = [vc_bs_1, zeros(K,K), zeros(K,K); zeros(K,K), vc_bs_2, zeros(K,K); zeros(K,K), zeros(K,K), vc_bs_3];
include = include_1;
[ws wp] = waldtest_gf(x, [zeros(1,15),0,0,0,1,1,1,0,0,0,0,1,0,0,0,0, 0,0,0,-1,-1,-1,0,0,0,0,-1,0,0,0,0; 0,0,0,1,1,1,0,0,0,0,1,0,0,0,0, zeros(1,15), 0,0,0,-1,-1,-1,0,0,0,0,-1,0,0,0,0], [0;0], vc_bs);
disp(sprintf('p-value of as many non-lenient strg in Perfect, Public, and Private: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [zeros(1,15),0,0,0,1,0,0,0,0,1,0,0,0,1,0,0, 0,0,0,-1,0,0,0,0,-1,0,0,0,-1,0,0; 0,0,0,1,0,0,0,0,1,0,0,0,1,0,0, zeros(1,15), 0,0,0,-1,0,0,0,0,-1,0,0,0,-1,0,0], [0;0], vc_bs);
disp(sprintf('p-value of as many unforgiving strg in Perfect, Public, and Private: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [zeros(1,15),0,0,0,0,0,0,0,0,1,1,0,1,1,1,1,0,0,0,0,0,0,0,0,-1,-1,0,-1,-1,-1,-1; 0,0,0,0,0,0,0,0,1,1,0,1,1,1,1,zeros(1,15),0,0,0,0,0,0,0,0,-1,-1,0,-1,-1,-1,-1], [0;0], vc_bs);
disp(sprintf('p-value of as many lenient strg in Perfect, Public, and Private: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [zeros(1,15),0,0,0,0,1,1,0,0,0,1,1,1,0,1,1,0,0,0,0,-1,-1,0,0,0,-1,-1,-1,0,-1,-1;0,0,0,0,1,1,0,0,0,1,1,1,0,1,1,zeros(1,15),0,0,0,0,-1,-1,0,0,0,-1,-1,-1,0,-1,-1], [0;0], vc_bs);
disp(sprintf('p-value of as many forgiving strg in Perfect, Public, and Private: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [zeros(1,15),0,0,0,0,0,0,0,0,1,1,0,1,1,1,1,0,0,0,0,0,0,0,0,-1,-1,0,-1,-1,-1,-1; 0,0,0,0,0,0,0,0,1,1,0,1,1,1,1, zeros(1,15), 0,0,0,0,0,0,0,0,-1,-1,0,-1,-1,-1,-1; zeros(1,15),0,0,0,1,1,1,0,1,0,0,1,0,0,0,0, 0,0,0,-1,-1,-1,0,-1,0,0,-1,0,0,0,0; 0,0,0,1,1,1,0,1,0,0,1,0,0,0,0, zeros(1,15), 0,0,0,-1,-1,-1,0,-1,0,0,-1,0,0,0,0], [0;0;0;0], vc_bs);
disp(sprintf('p-value of as many non-lenient / lenient strg in Perfect, Public, and Private: %1.3f',1-wp));
disp(' ');
[ws wp] = waldtest_gf(x, [zeros(1,15),0,0,0,0,1,1,0,0,0,1,1,1,0,1,1,0,0,0,0,-1,-1,0,0,0,-1,-1,-1,0,-1,-1; 0,0,0,0,1,1,0,0,0,1,1,1,0,1,1, zeros(1,15), 0,0,0,0,-1,-1,0,0,0,-1,-1,-1,0,-1,-1; zeros(1,15),0,0,0,1,0,0,0,0,1,0,0,0,1,0,0, 0,0,0,-1,0,0,0,0,-1,0,0,0,-1,0,0; 0,0,0,1,0,0,0,0,1,0,0,0,1,0,0, zeros(1,15), 0,0,0,-1,0,0,0,0,-1,0,0,0,-1,0,0], [0;0;0;0], vc_bs);
disp(sprintf('p-value of as many unforgiving /forgiving strg in Perfect, Public, and Private: %1.3f',1-wp));
disp(' ');




disp(' ');

disp('--------------------------');
disp('Output for latex table');

names.names1=...
 {'Alpha'    ;
  'AC'     ; 
  'AD'  ; 
  'Grim'  ; 
  'TFT'  ; 
  'WSLS'  ; 
  'CDDD'   ; 
  'STFT'  ; 
  'Grim2'  ; 
  'TF2T'  ; 
  '2TFT'  ; 
  '2TF2T'  ; 
  'Grim3'  ; 
  'TF3T'  ; 
  'Sum2'  ; 
  'SSum2' } ;

foo = [     [x_1(1,1);p_1]  ,   [std_1;999] ,   tstat_1 ,   pval_1 ];
results.results1=foo;

beta_1=1/(1+exp(-1/x_1(1,1)));

more_results.more_results1=[beta_1];

% Note latex compliant syntax and equation in names below!
more_results_names.more_results_names1=...
    { '$\Beta$' } ;

names.names2=names.names1;

foo = [     [x_2(1,1);p_2]  ,   [std_2;999] ,   tstat_2 ,   pval_2 ];
results.results2=foo;

beta_2=1/(1+exp(-1/x_2(1,1)));

more_results.more_results2=[beta_2];

% Note latex compliant syntax and equation in names below!
more_results_names.more_results_names2=more_results_names.more_results_names1;

names.names3=names.names1;

foo = [     [x_3(1,1);p_3]  ,   [std_3;999] ,   tstat_3 ,   pval_3 ];
results.results3=foo;

beta_3=1/(1+exp(-1/x_3(1,1)));

more_results.more_results3=[beta_3];

% Note latex compliant syntax and equation in names below!
more_results_names.more_results_names3=more_results_names.more_results_names1;

% This will be the column headers
%model_names={'Perfect'; 'Public'; 'Private'};   
model_names=[];   

% Set model_names to empty cell for default model names (Model 1, Model 2, etc.)
%model_names=[];         

% Set table opts to one of 'table' 'longtable' or 'sidewaystable' (latex table environments)
format short
table_opts='table';
[latex_code]=outreg_latex(results,names,more_results,more_results_names,model_names,table_opts);

