/******************************************************
      ../abd/do/tes_text_Z.do
	game: Randomly terminated PD with variation in monitoring
	first created: 09/24/12
	modified for version gf9

	the last characters idefentifies the version

******************************************************/

* setting up stuff
clear
clear matrix
capture log close
set more 1
set mem 100m

* Set path directory
if c(os) == "MacOSX" {
   cd "/Users/gfrechette/Dropbox (CfESS)/abf/"
}
else {
   cd "c:/gfrechette/Dropbox (CfESS)/abf/"
}







//Table 1: Summary Information
use "data/stata/dat_01.dta", clear				/* uses all data, not just same == 1 */
table random treatment, c(max subject)	/* no of subjects per session */
table random treatment, c(max match)	/* no of matches per session */
collapse length, by(treatment date match)
table treatment, c(mean length min length max length)
sum length
use "data/stata/dat_01.dta", clear				/* uses all data, not just same == 1 */
collapse (max) cum_payoff, by(treatment random date id)
gen pay = 0.01*cum_payoff if random == 0
replace pay = 0.0075*cum_payoff if random ~= 0
table treatment, c(mean pay min pay max pay)
sum pay
sum pay if random == 0



//Figure 1: Duffy and Ochs
* This figure was created for the
* ESA plenary talk
* the code below is almost identical, except the y-axis title was corrected

* load data
use "../df_jel/data/stata/dat_pres_b.dta",replace
drop if round > 1
drop if order > 1

drop if supergame > 12		/* some treatments have more but not all */

collapse coop, by(misg groupsize supergame)

tw scatter coop supergame if groupsize == 2, connect(l) msymbol(Oh) lpattern(dash) || scatter  coop supergame if groupsize == 6, connect(l) msymbol(i) lpattern(solid) || scatter  coop supergame if groupsize == 14, connect(l) msymbol(o) lpattern(-  -)  ytitle("Frequency of Cooperation") xtitle("Supergame") t1title("Round 1") xlabel(1(1)12) yscale(r(1)) ylabel(0(0.2)1)  legend(label(1 "Fixed Pairs") label(2 "Groups of 6") label(3 "Groups of 14") ring(0) pos(10) size(small) rows(3)) graphregion(color(white)) bgcolor(white) scheme(s2mono) saving("graph\rrm_exp", replace)

graph export "text/files/rrm_exp.eps", replace




//Figure 2: Round 1 and all rounds cooperation rate

// FIGURE SHOWING COOPERATION IN ROUND 1 FOR ALL TREAMENTS: PERFECT, PUBLIC, PRIVATE

use "data/stata/dat_same_01.dta", clear
drop if round ~= 1
egen foo = max(match), by(treatment random)
gen match_end = match - foo + 19

gen match_combo = match if match <= 4
replace match_combo = match_end - 10 if match_end >= 16
replace match_combo = 5 if match_combo == .

collapse coop, by(treatment match_combo)

label var match_combo Match

tw scatter coop match_combo if treatment == 1, connect(l) msymbol(T) lpattern(dot) || ///
	scatter coop match_combo if treatment == 2, connect(l) msymbol(o) lpattern(solid) || ///
	scatter coop match_combo if treatment == 3, connect(l) msymbol(Oh) lpattern(dash) ///
	ytitle("Frequency of Cooperation") xtitle("Supergame") t1title("Round 1") ///
	yscale(r(1)) ylabel(0(0.2)1) ///
	xlabel(1 "1" 2 "2" 3 "3" 4 "4" 9 "Last" 8 "L-1" 7 "L-2" 6 "L-3" 5 "Others", alternate) ///
	xline(4) xline(6) legend(label(1 "Perfect") label(2 "Public") label(3 "Private") ring(0) pos(2) size(small) rows(3)) graphregion(color(white)) ///
	bgcolor(white) scheme(s2mono) ///
	saving("graph\r1_coop_b", replace)

graph export "text/files/r1_coop_b.eps", replace

// FIGURE SHOWING COOPERATION IN ALL ROUNDS FOR PERFECT AND PUBLIC AND PRIVATE

use "data/stata/dat_same_01.dta", clear
egen foo = max(match), by(treatment random)
gen match_end = match - foo + 19

gen match_combo = match if match <= 4
replace match_combo = match_end - 10 if match_end >= 16
replace match_combo = 5 if match_combo == .

collapse coop, by(treatment match_combo)

label var match_combo Match

tw scatter coop match_combo if treatment == 1, connect(l) msymbol(T) lpattern(dot) || ///
	scatter coop match_combo if treatment == 2, connect(l) msymbol(o) lpattern(solid) || ///
	scatter coop match_combo if treatment == 3, connect(l) msymbol(Oh) lpattern(dash) ///
	ytitle("Frequency of Cooperation") xtitle("Supergame") t1title("All Rounds") ///
	yscale(r(1)) ylabel(0(0.2)1) ///
	xlabel(1 "1" 2 "2" 3 "3" 4 "4" 9 "Last" 8 "L-1" 7 "L-2" 6 "L-3" 5 "Others", alternate) ///
	xline(4) xline(6) ///
	legend(off) graphregion(color(white)) ///
	bgcolor(white) scheme(s2mono) ///
	saving("graph/foo", replace)

// Putting them together

graph combine "graph/r1_coop_b.gph" "graph/foo.gph", ycommon xcommon row(1) graphregion(color(white)) saving("graph/baz", replace)

graph export "text/files/coop_all.eps", replace



// coop rate and stat tests for coop rate under perfect monitoring
use "data/stata/dat_same_01.dta", clear
tab random, g(rand_)
* round 1
table treatment if round == 1 & exp_2 == 1, c(mean coop)
reg coop if perfect == 1 & round == 1 & exp_2 == 1, cluster(session)


//Figure for Appendix: Round 1 coop in DF2013
/*use "data/stata/dat_same_01.dta", clear
drop if round ~= 1
collapse coop, by(treatment match)
gen abf = 1
save "data/temp/graph_foo", replace*/

use "../df_strat/data/stata/dat_strat_a", clear
drop if round ~= 1
drop if r ~= 32
drop if phase == 3
drop if match > 19
collapse coop, by(treatment match)
gen abf = 0
gen df = 1
save "data/temp/graph_bar", replace

tw scatter coop match if treatment == 1 & abf == 0 & df == 1, connect(l) msymbol(oh) lpattern(solid) || scatter coop match if treatment == 5 & abf == 0 & df == 1, connect(l) msymbol(i) lpattern(-  -) ytitle("Frequency of Cooperation") xtitle("Supergame") t1title("Round 1") yscale(r(1)) ylabel(0(0.2)1) legend(label(1 "{&delta}=0.5") label(2 "{&delta}=0.9") ring(0) pos(2) size(small) rows(2)) graphregion(color(white)) bgcolor(white) scheme(s2mono) saving("graph\foo", replace)

graph export "pres/files/r1_1_5_bench.eps", replace


// coop rate and stat tests for coop rate under imperfect monitoring
use "data/stata/dat_same_01.dta", clear
* round 1
table treatment if round == 1 & exp_2 == 1, c(mean coop)
reg coop if public == 1 & round == 1 & exp_2 == 1, cluster(session)
reg coop if private == 1 & round == 1 & exp_2 == 1, cluster(session)

// Comparisons of cooperation rates between treatments
use "data/stata/dat_same_01.dta", clear
tab random, g(rand_)
* round 1
reg coop public rand_2 rand_3 rand_4 if private == 0 & round == 1 & exp_2 == 1, cluster(session)
reg coop private rand_2 rand_3 rand_4 if public == 0 & round == 1 & exp_2 == 1, cluster(session)
reg coop private rand_2 rand_3 rand_4 if perfect == 0 & round == 1 & exp_2 == 1, cluster(session)


// coop rate and stat tests for coop rate considering all rounds
use "data/stata/dat_same_01.dta", clear
table treatment if exp_2 == 1, c(mean coop)
reg coop if perfect == 1 & exp_2 == 1, cluster(session)
reg coop if public == 1 & exp_2 == 1, cluster(session)
reg coop if private == 1 & exp_2 == 1, cluster(session)
tab random, g(rand_)
reg coop public rand_2 rand_3 rand_4 if private == 0 & exp_2 == 1, cluster(session)
reg coop private rand_2 rand_3 rand_4 if public == 0 & exp_2 == 1, cluster(session)
reg coop private rand_2 rand_3 rand_4 if perfect == 0 & exp_2 == 1, cluster(session)



// SECTION 7.2 Coordination

//Figure 6: Coordination Rates
use "data/stata/dat_same_01.dta", clear

egen foo = max(match), by(treatment random)
gen match_end = match - foo + 19

gen match_combo = match if match <= 4
replace match_combo = match_end - 10 if match_end >= 16
replace match_combo = 5 if match_combo == .

gen coord_1 = coop*ocoop
gen coord_0 = (1-coop)*(1-ocoop)

collapse coord_0 coord_1 coop if exp_2 == 1 & round <= 5, by(treatment round)

gen exp_0 = (1-coop)^2
gen exp_1 = coop^2

gen coord = coord_0 + coord_1

tw scatter exp_0 round, connect(l) msymbol(T) lpattern(solid) || ///
  scatter exp_1 round, connect(l) msymbol(O) lpattern(dash) || ///
  scatter coord_0 round, connect(l) msymbol(Th) lpattern(solid)  || ///
  scatter coord_1 round, connect(l)  msymbol(Oh) lpattern(dash)  || ///
  scatter coord round, connect(l)  msymbol(d) lpattern(dot) ///
  ytitle("Coordination Rate") xtitle("Round") ylabel(0(0.2)0.8) ///
  legend(label(1 "Pr({it:a}{sub:{it:i}}{sup:{it:t}}={it:D}){sup:2}") label(2 "Pr({it:a}{sub:{it:i}}{sup:{it:t}}={it:C}){sup:2}") label(3 "Pr({it:a}{sup:{it:t}}=({it:D},{it:D}))") label(4 "Pr({it:c}{sup:{it:t}}=({it:C},{it:C}))") label(5 "Total") size(small) rows(1)) ///
  graphregion(color(white)) bgcolor(white) scheme(s2mono) ///
  by(treatment, row(1) note("* Last 4 Matches") graphregion(color(white)) bgcolor(white)) ///
  saving("graph/coord", replace)

  graph export "pres/files/coord.eps", replace



// Statistics in first paragraph
use "data/stata/dat_same_01.dta", clear

egen foo = max(match), by(treatment random)
gen match_end = match - foo + 19

gen match_combo = match if match <= 4
replace match_combo = match_end - 10 if match_end >= 16
replace match_combo = 5 if match_combo == .

gen coord_1 = coop*ocoop
gen coord_0 = (1-coop)*(1-ocoop)
gen coord = coord_0 + coord_1

table match_combo treatment, c(mean coord_0 mean coord_1 mean coord)
table treatment, c(mean coord_0 mean coord_1 mean coord)

tab random, g(rand_)
reg coord public rand_2 rand_3 rand_4 if private == 0 & exp_2 == 1, cluster(session)
reg coord private rand_2 rand_3 rand_4 if public == 0 & exp_2 == 1, cluster(session)
reg coord private rand_2 rand_3 rand_4 if perfect == 0 & exp_2 == 1, cluster(session)
reg coord public private rand_2 rand_3 rand_4 if exp_2 == 1, cluster(session)
test public private


* difference between coordination rates and expected
collapse coord_0 coord_1 coop if exp_2 == 1, by(treatment round)
gen expec_0 = (1-coop)^2
gen expec_1 = coop^2
gen diff_1 = coord_1 - expec_1
gen diff_0 = coord_0 - expec_0
gen rate_1 = diff_1/expec_1
gen rate_0 = diff_0/expec_0

table treatment if round > 1, c(mean diff_0 mean diff_1 mean rate_0 mean rate_0)

* is the difference between the actual coordination rate and the expected statistically significant?
* test done two ways
* report most conservative result in the text
use "data/stata/dat_same_01.dta", clear
gen coord_1 = coop*ocoop
gen coord_0 = (1-coop)*(1-ocoop)
gen coord = coord_0 + coord_1
collapse coord_0 coord_1 coord coop, by(treatment date match exp_2)
gen expec_1 = coop^2
gen expec_0 = (1-coop)^2
gen expec = expec_0 + expec_1
* Method 1
reg coord expec if treatment==1 & exp_2==1, nocon cluster(date)
test expec = 1
reg coord expec if treatment==2 & exp_2==1, nocon cluster(date)
test expec = 1
reg coord expec if treatment==3 & exp_2==1, nocon cluster(date)
test expec = 1
* Method 2
gen diff = coord - expec
reg diff if treatment==1 & exp_2==1, cluster(date)
reg diff if treatment==2 & exp_2==1, cluster(date)
reg diff if treatment==3 & exp_2==1, cluster(date)



// SECTION 7.3 Memory-1 Conditional Cooperation

//Figure 4: Conditional Cooperation Rates

* do they react to the signals
use "data/stata/dat_same_01.dta", clear

egen foo = max(match), by(treatment random)
gen match_end = match - foo + 19

gen match_combo = match if match <= 4
replace match_combo = match_end - 10 if match_end >= 16
replace match_combo = 5 if match_combo == .

collapse coop, by(treatment match_combo ocsignal_m1)

label var match_combo Match

tw scatter coop match_combo if treatment == 1 & ocsignal_m1 == ., connect(l) msymbol(T) lpattern(dot) || scatter coop match_combo if treatment == 1 & ocsignal_m1 == 1, connect(l) msymbol(o) lpattern(solid) || scatter coop match_combo if treatment == 1 & ocsignal_m1 == 0, connect(l) msymbol(Oh) lpattern(dash) ytitle("Frequency of Cooperation") xtitle("Supergame") t1title("Perfect") yscale(r(1)) ylabel(0(0.2)1) xlabel(1 "1" 2 "2" 3 "3" 4 "4" 9 "Last" 8 "L-1" 7 "L-2" 6 "L-3" 5 "O", alternate) xline(4) xline(6) legend(off) graphregion(color(white)) bgcolor(white) scheme(s2mono) saving("graph/foo", replace)

tw scatter coop match_combo if treatment == 2 & ocsignal_m1 == ., connect(l) msymbol(T) lpattern(dot) || scatter coop match_combo if treatment == 2 & ocsignal_m1 == 1, connect(l) msymbol(o) lpattern(solid) || scatter coop match_combo if treatment == 2 & ocsignal_m1 == 0, connect(l) msymbol(Oh) lpattern(dash) ytitle("") xtitle("Supergame") t1title("Public") yscale(r(1)) ylabel(0(0.2)1) xlabel(1 "1" 2 "2" 3 "3" 4 "4" 9 "Last" 8 "L-1" 7 "L-2" 6 "L-3" 5 "O", alternate) xline(4) xline(6) legend(off) graphregion(color(white)) bgcolor(white) scheme(s2mono) saving("graph/bar", replace)

tw scatter coop match_combo if treatment == 3 & ocsignal_m1 == ., connect(l) msymbol(T) lpattern(dot) || scatter coop match_combo if treatment == 3 & ocsignal_m1 == 1, connect(l) msymbol(o) lpattern(solid) || scatter coop match_combo if treatment == 3 & ocsignal_m1 == 0, connect(l) msymbol(Oh) lpattern(dash) ytitle("") xtitle("Supergame") t1title("Private") yscale(r(1)) ylabel(0(0.2)1) xlabel(1 "1" 2 "2" 3 "3" 4 "4" 9 "Last" 8 "L-1" 7 "L-2" 6 "L-3" 5 "O", alternate) xline(4) xline(6) legend(label(1 "{it:t} = 1") label(2 "{&omega}{sub:i}{sup:t-1}={it:c}") label(3 "{&omega}{sub:i}{sup:t-1}={it:d}") ring(0) pos(1) size(small)) graphregion(color(white)) bgcolor(white) scheme(s2mono) saving("graph/baz", replace)

graph combine "graph/foo.gph" "graph/bar.gph" "graph/baz.gph", ycommon xcommon row(1) graphregion(color(white)) saving("graph/cond_coop", replace)

graph export "text/files/cond_coop.eps", replace


// stat tests and differences in cond coop rates
use "data/stata/dat_same_01.dta", clear
bysort treatment: reg coop ocsignal if round > 1 & exp_2 == 1, cluster(session)

* first match diff
use "data/stata/dat_same_01.dta", clear
collapse coop if match == 1 & round > 1, by(treatment ocsignal_m1)
bysort treatment: gen diff = coop[2] - coop[1]
table treatment, c(mean diff)

* last match diff
* identifies the last match
use "data/stata/dat_same_01.dta", clear
bysort id: egen foo=max(match)
gen last = (match ==  foo)
drop foo
collapse coop if last == 1 & round > 1, by(treatment ocsignal_m1)
bysort treatment: gen diff = coop[2] - coop[1]
table treatment, c(mean diff)

// Paragraph after Observation 6
use "data/stata/dat_same_01.dta", clear
collapse coop exp_2 if exp_2 == 1 & round > 1, by(treatment perfect public private session random id ocsignal_m1)
bysort treatment id (ocsignal_m1): gen diff = coop[2] - coop[1]
drop if diff == .				/* subjects who never experience both signals */
table treatment, c(mean diff)

tab random, g(rand_)
reg diff public private rand_2 rand_3 rand_4 if exp_2 == 1, cluster(session)
test public == 0
test private == 0, accum
reg diff public rand_2 rand_3 rand_4 if private == 0 & exp_2 == 1, cluster(session)
reg diff private rand_2 rand_3 rand_4 if public == 0 & exp_2 == 1, cluster(session)
reg diff private rand_2 rand_3 rand_4 if perfect == 0 & exp_2 == 1, cluster(session)


reg diff if perfect == 1 & exp_2 == 1, cluster(session)
test _cons = (5/14) / (0.9*(1-(2*0))*(1+(5/14)))
reg diff if public == 1 & exp_2 == 1, cluster(session)
test _cons = (5/14) / (0.9*(1-(2*.1))*(1+(5/14)))
reg diff if private == 1 & exp_2 == 1, cluster(session)
test _cons = (5/14) / (0.9*(1-(2*.1))*(1+(5/14)))

* round 2 only
use "data/stata/dat_same_01.dta", clear
collapse coop exp_2 if exp_2 == 1 & round == 2, by(treatment perfect public private session random id ocsignal_m1)
bysort treatment id (ocsignal_m1): gen diff = coop[2] - coop[1]
drop if diff == .				/* subjects who never experience both signals */
table treatment, c(mean diff)

tab random, g(rand_)
reg diff public private rand_2 rand_3 rand_4 if exp_2 == 1, cluster(session)
test public == 0
test private == 0, accum
reg diff public rand_2 rand_3 rand_4 if private == 0 & exp_2 == 1, cluster(session)
reg diff private rand_2 rand_3 rand_4 if public == 0 & exp_2 == 1, cluster(session)
reg diff private rand_2 rand_3 rand_4 if perfect == 0 & exp_2 == 1, cluster(session)



// Table 2: Signal and Cooperation Rate Conditional On Previous Choice And Signal Combination

* Probability of observing c or d following a specific history
* memory 1 history
use "data/stata/dat_same_01.dta", clear
* only keep last 4 matches
keep if exp_2 == 1

gen oomega = ocsignal
replace oomega = ocoop if perfect == 1
gen omega_m1 = coop_m1
replace omega_m1 = csignal_m1 if public == 1
gen oomega_m1 = ocsignal_m1
replace oomega_m1 = ocoop_m1 if perfect == 1

gen case_m1 = .
replace case_m1 = 1 if omega_m1 == 0 & oomega_m1 == 0
replace case_m1 = 2 if omega_m1 == 0 & oomega_m1 == 1
replace case_m1 = 3 if omega_m1 == 1 & oomega_m1 == 0
replace case_m1 = 4 if omega_m1 == 1 & oomega_m1 == 1

table treatment case_m1, c(mean coop)

tab random, g(rand_)

* joint sig test following Cc, Cd, Dc, and Dd
* After Dd
reg coop public private rand_2 rand_3 rand_4 if exp_2 == 1 & case_m1 == 1, cluster(session)
test public = 0
test private = 0, accum
* After Dc
reg coop public private rand_2 rand_3 rand_4 if exp_2 == 1 & case_m1 == 2, cluster(session)
test public = 0
test private = 0, accum
* After Cd
reg coop public private rand_2 rand_3 rand_4 if exp_2 == 1 & case_m1 == 3, cluster(session)
test public = 0
test private = 0, accum
* After Cc
reg coop public private rand_2 rand_3 rand_4 if exp_2 == 1 & case_m1 == 4, cluster(session)
test public = 0
test private = 0, accum
* test statistical significance of difference in rates after Cd and Dc
* added for AEJ:Micro revision
* After Dc
reg coop public rand_2 rand_3 rand_4 if private == 0 & exp_2 == 1 & case_m1 == 2, cluster(session)
reg coop private rand_2 rand_3 rand_4 if public == 0 & exp_2 == 1 & case_m1 == 2, cluster(session)
reg coop private rand_2 rand_3 rand_4 if perfect == 0 & exp_2 == 1 & case_m1 == 2, cluster(session)
* After Cd
reg coop public rand_2 rand_3 rand_4 if private == 0 & exp_2 == 1 & case_m1 == 3, cluster(session)
reg coop private rand_2 rand_3 rand_4 if public == 0 & exp_2 == 1 & case_m1 == 3, cluster(session)
reg coop private rand_2 rand_3 rand_4 if perfect == 0 & exp_2 == 1 & case_m1 == 3, cluster(session)



* in response to AEJ referee
gen signal0_m1 = (signal_m1==0) /* other received D signal from me last round */
gen signal1_m1 = (signal_m1==1) /* other received C signal from me last round */

* Last 4 matches
tab coop signal1_m1 if round==2 & coop_m1 == 0 & osignal_m1 == 1, col
reg coop signal1_m1 if round==2 & coop_m1 == 0 & osignal_m1 == 1, cluster(session)
tab coop signal1_m1 if round>=2 & coop_m1 == 0 & osignal_m1 == 1, col
reg coop signal1_m1 if round>=2 & coop_m1 == 0 & osignal_m1 == 1, cluster(session)


// SECTION 7.4 Leniency and Forgiveness

// FIGURE 5: Cooperating Rates After Defect Signals When Cooperating and Cooperate Signals After Defecting
************
* left panel
use "data/stata/dat_same_01.dta", clear
keep if exp_2 == 1

bysort treatment id match (round): gen foo = sum(coop)
bysort treatment id match (round): gen bar = sum(1-ocsignal)
bysort treatment id match (round): gen zero_bad = coop if foo[_n-1] == _n-1 & round >= 3 & bar[_n-1] == 0
bysort treatment id match (round): gen one_bad = coop if foo[_n-1] == _n-1 & round >= 3 & bar[_n-1] == 1 & ( bar[_n-2] == 0 | bar[_n-2] == .)
bysort treatment id match (round): gen two_bad = coop if foo[_n-1] == _n-1 & round >= 3 & bar[_n-2] == 1 & bar[_n-1] == 2 & ( bar[_n-3] == 0 | bar[_n-3] == .)

gen no_d = .
replace no_d = 0 if zero_bad ~= .
replace no_d = 1 if one_bad ~= .
replace no_d = 2 if two_bad ~= .

gen coop_by_d = zero_bad
replace coop_by_d = one_bad if no_d == 1
replace coop_by_d = two_bad if no_d == 2

drop if round <= 2

collapse coop_by_d if no_d ~= ., by(treatment no_d)

tw scatter coop_by_d no_d if treatment == 1, connect(l) msymbol(T) lpattern(dot)  ///
	|| scatter coop_by_d no_d if treatment == 2, connect(l) msymbol(o) lpattern(dash)  ///
	|| scatter coop_by_d no_d if treatment == 3, connect(l) msymbol(Oh) lpattern(solid)  ///
	ytitle("Frequency of Cooperation") xtitle("Consecutive d Signals / No previous D Sequence")  ///
	t1title("Leniency") yscale(r(1)) ylabel(0(0.2)1) xlabel(0(1)2)  ///
	legend(off)  ///
	graphregion(color(white)) bgcolor(white) scheme(s2mono)  ///
	saving("graph/foo", replace)

*************
* right panel
use "data/stata/dat_same_01.dta", clear

bysort date id match coop (round): gen foo = _n
gen bar = round if foo == 1 & coop == 0	/* first round with a defection */
egen baz = max(bar), by(date id match)

* line below drops match that start with defection
drop if baz == 1

drop if round < baz				/* drop rounds before first defection */
drop foo-baz

bysort date id match coop (round): gen foo = _n
gen bar = round if foo == 1 & coop == 1	/* first round with cooperation after prior defection */
egen baz = max(bar), by(date id match)

drop if round > baz				/* drop rounds after first coop (following prior defection */
drop foo-baz

bysort date id match (round): gen foo = _n	/* rounds since start of this "phase" */

bysort treatment id match (round): gen bar = sum(ocsignal)

bysort treatment id match (round): gen zero_good = coop if foo >= 1 & bar[_n-1] == 0
bysort treatment id match (round): gen one_good = coop if foo >= 2 & bar[_n-1] == 1 & ( bar[_n-2] == 0 | bar[_n-2] == .)
bysort treatment id match (round): gen two_good = coop if foo >= 3 & bar[_n-2] == 1 & bar[_n-1] == 2 & ( bar[_n-3] == 0 | bar[_n-3] == .)

gen no_g = .
replace no_g = 0 if zero_good ~= .
replace no_g = 1 if one_good ~= .
replace no_g = 2 if two_good ~= .

gen coop_by_g = zero_good
replace coop_by_g = one_good if no_g == 1
replace coop_by_g = two_good if no_g == 2

drop if foo <= 2

collapse coop_by_g if no_g ~= ., by(treatment no_g)

tw scatter coop_by_g no_g if treatment == 1, connect(l) msymbol(T) lpattern(dot)  ///
	|| scatter coop_by_g no_g if treatment == 2, connect(l) msymbol(o) lpattern(dash)  ///
	|| scatter coop_by_g no_g if treatment == 3, connect(l) msymbol(Oh) lpattern(solid)  ///
	ytitle("Frequency of Cooperation") xtitle("Consecutive c Signals / First D Sequence")  ///
	t1title("Forgiveness") yscale(r(1)) ylabel(0(0.2)1) xlabel(0(1)2)  ///
	legend(label(1 "Perfect") label(2 "Public") label(3 "Private")  ring(0) pos(2) size(small) rows(3))  ///
	graphregion(color(white)) bgcolor(white) scheme(s2mono)  ///
	saving("graph/bar", replace)


graph combine "graph/foo.gph" "graph/bar.gph", ///
	ycommon  ///
	note("* Last 4 Matches" "   Rounds > 2" "   Right panel excludes matches that start with defection", size(vsmall))  ///
	row(1) graphregion(color(white))  ///
	saving("graph/cond_sig_coop", replace)

graph export "text/files/len_for.eps", replace


// regressions to explore leniency
use "data/stata/dat_same_01.dta", clear
keep if exp_2 == 1

bysort treatment id match (round): gen foo = sum(coop)
bysort treatment id match (round): gen bar = _n
gen baz = (foo == bar)
bysort id match baz (round): gen qux = _n
replace baz = 1 if qux == 1 & round > 1
drop if baz ~= 1
drop foo-baz

bysort id match (round): gen ocsignal_m2 = ocsignal_m1[_n-1]
gen one_bad = (ocsignal_m1 == 0 & ocsignal_m2 == 1)
gen two_bad = (ocsignal_m1 == 0 & ocsignal_m2 == 0)

gen one_bad_per = one_bad*perfect
gen one_bad_pub = one_bad*public
gen one_bad_pri = one_bad*private
gen two_bad_per = two_bad*perfect
gen two_bad_pub = two_bad*public
gen two_bad_pri = two_bad*private

tab random, g(rand_)

drop if round <= 2

reg coop public one_bad_per one_bad_pub two_bad_per two_bad_pub rand_2 rand_3 rand_4 if private == 0, cluster(session)
test one_bad_per = one_bad_pub
reg coop private one_bad_per one_bad_pri two_bad_per two_bad_pri rand_2 rand_3 rand_4 if public == 0, cluster(session)
test one_bad_per = one_bad_pri
reg coop private one_bad_pub one_bad_pri two_bad_pub two_bad_pri rand_2 rand_3 rand_4 if perfect == 0, cluster(session)
test one_bad_pub = one_bad_pri


// regressions to explore forgiveness

use "data/stata/dat_same_01.dta", clear

keep if exp_2 == 1

bysort date id match coop (round): gen foo = _n
gen bar = round if foo == 1 & coop == 0	/* first round with a defection */
egen baz = max(bar), by(date id match)

* line below drops match that start with defection
drop if baz == 1

drop if round < baz				/* drop rounds before first defection */
drop foo-baz

bysort date id match coop (round): gen foo = _n
gen bar = round if foo == 1 & coop == 1	/* first round with cooperation after prior defection */
egen baz = max(bar), by(date id match)

drop if round > baz				/* drop rounds after first coop (following prior defection */
drop foo-baz

bysort date id match (round): gen foo = _n	/* rounds since start of this "phase" */
drop if foo <= 2

bysort id match (round): gen ocsignal_m2 = ocsignal_m1[_n-1]
gen one_good = (ocsignal_m1 == 1 & ocsignal_m2 == 0)
gen two_good = (ocsignal_m1 == 1 & ocsignal_m2 == 1)

gen one_good_per = one_good*perfect
gen one_good_pub = one_good*public
gen one_good_pri = one_good*private
gen two_good_per = two_good*perfect
gen two_good_pub = two_good*public
gen two_good_pri = two_good*private

tab random, g(rand_)

reg coop public one_good_per one_good_pub two_good_per two_good_pub rand_2 rand_3 rand_4 if round > 2 & private == 0, cluster(session)
test one_good_per = one_good_pub
test two_good_per = two_good_pub, accum
reg coop private one_good_per one_good_pri two_good_per two_good_pri rand_2 rand_3 rand_4 if round > 2 & public == 0, cluster(session)
test one_good_per = one_good_pri
test two_good_per = two_good_pri, accum
reg coop private one_good_pub one_good_pri two_good_pub two_good_pri rand_2 rand_3 rand_4 if round > 2 & perfect == 0, cluster(session)
test one_good_pub = one_good_pri
test two_good_pub = two_good_pri, accum



// Frequencies and test stats for the paragraphs following Figure 5

* Probability of observing c or d following a specific history
* memory 1 history
use "data/stata/dat_same_01.dta", clear
* only keep last 4 matches
keep if exp_2 == 1

gen oomega = ocsignal
replace oomega = ocoop if perfect == 1
gen omega_m1 = coop_m1
replace omega_m1 = csignal_m1 if public == 1
gen oomega_m1 = ocsignal_m1
replace oomega_m1 = ocoop_m1 if perfect == 1

gen case_m1 = .
replace case_m1 = 1 if omega_m1 == 0 & oomega_m1 == 0
replace case_m1 = 2 if omega_m1 == 0 & oomega_m1 == 1
replace case_m1 = 3 if omega_m1 == 1 & oomega_m1 == 0
replace case_m1 = 4 if omega_m1 == 1 & oomega_m1 == 1

* numbers for left panel of Figure 5
table case_m1 treatment if round > 1, c(mean oomega)

* test differences in signal for case C/d
tab random, g(rand_)
reg oomega public rand_2 rand_3 rand_4 if private == 0 & exp_2 == 1 & round > 1 & case_m1 == 3, cluster(session)
reg oomega private rand_2 rand_3 rand_4 if public == 0 & exp_2 == 1 & round > 1 & case_m1 == 3, cluster(session)
reg oomega private rand_2 rand_3 rand_4 if perfect == 0 & exp_2 == 1 & round > 1 & case_m1 == 3, cluster(session)

* test differences in signal for case D/c
reg oomega public rand_2 rand_3 rand_4 if private == 0 & exp_2 == 1 & round > 1 & case_m1 == 2, cluster(session)
reg oomega private rand_2 rand_3 rand_4 if public == 0 & exp_2 == 1 & round > 1 & case_m1 == 2, cluster(session)
reg oomega private rand_2 rand_3 rand_4 if perfect == 0 & exp_2 == 1 & round > 1 & case_m1 == 2, cluster(session)

* numbers for right panel of Figure 5
table case_m1 treatment if round > 1, c(mean coop)

* test differences in coop for case D/d
reg coop public private rand_2 rand_3 rand_4 if exp_2 == 1 & round > 1 & case_m1 == 1, cluster(session)
test public = 0
test private = 0, accum

* test differences in coop for case C/c
reg coop public private rand_2 rand_3 rand_4 if exp_2 == 1 & round > 1 & case_m1 == 1, cluster(session)
test public = 0
test private = 0, accum

* test differences in leniency and forgiveness between perfect and public
reg coop public rand_2 rand_3 rand_4 if private == 0 & exp_2 == 1 & round > 1 & case_m1 == 3, cluster(session)
reg coop public rand_2 rand_3 rand_4 if private == 0 & exp_2 == 1 & round > 1 & case_m1 == 2, cluster(session)

* test differences in leniency and forgiveness between perfect and private
reg coop private rand_2 rand_3 rand_4 if public == 0 & exp_2 == 1 & round > 1 & case_m1 == 3, cluster(session)
reg coop private rand_2 rand_3 rand_4 if public == 0 & exp_2 == 1 & round > 1 & case_m1 == 2, cluster(session)

* test differences in leniency and forgiveness between public and private
reg coop private rand_2 rand_3 rand_4 if perfect == 0 & exp_2 == 1 & round > 1 & case_m1 == 3, cluster(session)
reg coop private rand_2 rand_3 rand_4 if perfect == 0 & exp_2 == 1 & round > 1 & case_m1 == 2, cluster(session)


**************
* DISCUSSION *
**************

* what would cooperation rates have been in a one-shot game?

* figure out the matches in the private mon. sessions
use "data/stata/dat_same_01.dta", clear
* only keep last 4 matches
keep if exp_2 == 1
keep if treatment == 3
bysort date: tab match

********************************
* Use all treatments from meta *
********************************


/// Predicted round 1 cooperation level for Aoyagi et al. values for delta=0 and delta=.9 ///
*use "../published/df_jel/data/stata/dat_pres.dta",replace
use "../df_jel/data/stata/dat_pres.dta",replace
drop if round > 1
drop if order > 1

mat p_0 = J(19,1,0)

foreach i in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 {

quietly probit coop g l delta sgpe rd if supergame == `i', cluster(paper)
quietly mfx, predict(p) at(g= 0.3571, l= 0.3571, delta=0, sgpe=0, rd=0)
quietly mat p_0[`i',1] = e(Xmfx_y)
}
matlist p_0
svmat double p_0
rename p_01 p_0
gen sg = _n if p_0 ~= .
label var sg Supergame

keep sg p_0
drop if sg==.
rename sg supergame
sort supergame

sum p_0 if _n == 6	/* supergames 6-11 & 16-19 */
sum p_0 if _n == 7
sum p_0 if _n == 8
sum p_0 if _n == 9
sum p_0 if _n == 10
sum p_0 if _n == 11
sum p_0 if _n == 16
sum p_0 if _n == 17
sum p_0 if _n == 18
sum p_0 if _n == 19

gen foo = p_0 if _n == 6
egen s6 = max(foo)
drop foo
gen foo = p_0 if _n == 7
egen s7 = max(foo)
drop foo
gen foo = p_0 if _n == 8
egen s8 = max(foo)
drop foo
gen foo = p_0 if _n == 9
egen s9 = max(foo)
drop foo
gen foo = p_0 if _n == 10
egen s10 = max(foo)
drop foo
gen foo = p_0 if _n == 11
egen s11 = max(foo)
drop foo
gen foo = p_0 if _n == 16
egen s16 = max(foo)
drop foo
gen foo = p_0 if _n == 17
egen s17 = max(foo)
drop foo
gen foo = p_0 if _n == 18
egen s18 = max(foo)
drop foo
gen foo = p_0 if _n == 19
egen s19 = max(foo)
drop foo

gen average = (s8+s9+s10+s11+s6+s7+s8+s9+s16+s17+s18+s19+s8+s9+s10+s11)/16
sum average

use "data/stata/dat_same_01.dta", clear
* only keep last 4 matches
keep if exp_2 == 1
keep if treatment == 3
keep if round == 1
reg coop, cluster(session)
test _cons = 0.2810145


************************************
* Use only sessions with delta = 0 *
************************************

/// Predicted round 1 cooperation level for Aoyagi et al. values for delta=0 and delta=.9 ///
use "../df_jel/data/stata/dat_pres.dta",replace
drop if round > 1
drop if order > 1
drop if delta > 0
tab paper

mat p_0 = J(19,1,0)

foreach i in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 {

quietly probit coop g l if supergame == `i', cluster(paper)
quietly mfx, predict(p) at(g= 0.3571, l= 0.3571)
quietly mat p_0[`i',1] = e(Xmfx_y)
}
matlist p_0
svmat double p_0
rename p_01 p_0
gen sg = _n if p_0 ~= .
label var sg Supergame

keep sg p_0
drop if sg==.
rename sg supergame
sort supergame

sum p_0 if _n == 6	/* supergames 6-11 & 16-19 */
sum p_0 if _n == 7
sum p_0 if _n == 8
sum p_0 if _n == 9
sum p_0 if _n == 10
sum p_0 if _n == 11
sum p_0 if _n == 16
sum p_0 if _n == 17
sum p_0 if _n == 18
sum p_0 if _n == 19

gen foo = p_0 if _n == 6
egen s6 = max(foo)
drop foo
gen foo = p_0 if _n == 7
egen s7 = max(foo)
drop foo
gen foo = p_0 if _n == 8
egen s8 = max(foo)
drop foo
gen foo = p_0 if _n == 9
egen s9 = max(foo)
drop foo
gen foo = p_0 if _n == 10
egen s10 = max(foo)
drop foo
gen foo = p_0 if _n == 11
egen s11 = max(foo)
drop foo
gen foo = p_0 if _n == 16
egen s16 = max(foo)
drop foo
gen foo = p_0 if _n == 17
egen s17 = max(foo)
drop foo
gen foo = p_0 if _n == 18
egen s18 = max(foo)
drop foo
gen foo = p_0 if _n == 19
egen s19 = max(foo)
drop foo

gen average = (s8+s9+s10+s11+s6+s7+s8+s9+s16+s17+s18+s19+s8+s9+s10+s11)/16
sum average

use "data/stata/dat_same_01.dta", clear
* only keep last 4 matches
keep if exp_2 == 1
keep if treatment == 3
keep if round == 1
reg coop, cluster(session)
test _cons = 0.3667149


// IMPERFECT MONITORING: REALIZATION OF PUBLIC SIGNAL - EFFECT ON CHOICES
use "data/stata/dat_same_01.dta", clear
keep if treatment == 2

* how often is signal correct
gen signal_correct = (signal == coop)
tab signal_correct

gen signal0_m1 = (signal_m1==0) /* other received D signal from me last round */
gen signal1_m1 = (signal_m1==1) /* other received C signal from me last round */

* Last 4 matches
* Impact of my signal (sent to other) last round on my choice
* Round 2 only
* Impact of Signal of cooperation when I defected Last Round
tab coop signal_m1 if round==2 & exp_2 == 1 & coop_m1 == 0, col
reg coop signal1_m1 if round==2 & exp_2 == 1 & coop_m1 == 0, cluster(session)
* Impact of Signal of defection when I cooperated Last Round
tab coop signal_m1 if round==2 & exp_2 == 1 & coop_m1 == 1, col
reg coop signal0_m1 if round==2 & exp_2 == 1 & coop_m1 == 1, cluster(session)
* same as above but also conditioning on signal received from other
table coop_m1 signal_m1 osignal_m1 if round == 2 & exp_2 == 1, c(mean coop)
reg coop signal1_m1 if round==2 & exp_2 == 1 & coop_m1 == 0 & osignal_m1 == 0, cluster(session)
reg coop signal1_m1 if round==2 & exp_2 == 1 & coop_m1 == 0 & osignal_m1 == 1, cluster(session)
tab signal1_m1 if round==2 & exp_2 == 1 & coop_m1 == 0 & osignal_m1 == 1  /* for answer to referee */
reg coop signal1_m1 if round==2 & match > 4 & coop_m1 == 0 & osignal_m1 == 1, cluster(session) /* for answer to referee */
tab signal1_m1 if round==2 & match > 4 & coop_m1 == 0 & osignal_m1 == 1  /* for answer to referee */
tab coop signal1_m1 if round==2 & match > 4 & coop_m1 == 0 & osignal_m1 == 1, cell  /* for answer to referee */
slanclnc
reg coop signal0_m1 if round==2 & exp_2 == 1 & coop_m1 == 1 & osignal_m1 == 0, cluster(session)
reg coop signal0_m1 if round==2 & exp_2 == 1 & coop_m1 == 1 & osignal_m1 == 1, cluster(session)


bysort id match (round): gen signal_m2 = signal_m1[_n-1]
bysort id match (round): gen osignal_m2 = osignal_m1[_n-1]
bysort id match (round): gen coop_m2 = coop_m1[_n-1]

****
* two round histories
* cso stands for Choice, Signal, Other signal; it will be followed by 6 numbers
* choice at t-1, choice at t-2, signal at t-1, signal at t-2, other's signal at
* t-1, other's signal at t-2
gen cso_group = 0 if round > 2
local foo = 0
forval i = 0/1 {
  forval j = 0/1 {
    forval k = 0/1 {
      forval l = 0/1 {
        forval m = 0/1 {
          forval n = 0/1 {
            local foo = `foo' + 1
            gen cso_`i'`j'`k'`l'`m'`n' = ( coop_m1 == `i' & coop_m2 == `j' & signal_m1 == `k' & signal_m2 == `l' & osignal_m1 == `m' & osignal_m2 == `n' ) if round > 2
            replace cso_group = cso_group + ( `foo' * cso_`i'`j'`k'`l'`m'`n' )
          }
        }
      }
    }
  }
}

egen cso_group_2 = group( coop_m1 coop_m2 signal_m2 osignal_m1 osignal_m2 ) if round > 2
egen cso_group_3 = group( coop_m1 coop_m2 signal_m1 osignal_m1 osignal_m2 ) if round > 2

* in each case, look for groups where the smallest group in the tab to be not
* too small
keep if exp_2 == 1
bysort cso_group_2: tab cso_group
bysort cso_group_3: tab cso_group

* consider the four most common histories (they all have at least 20 observations for each signal)
* effect of last round's signal
tab coop signal_m1 if coop_m1==0 & coop_m2==0 & signal_m2==0 & osignal_m1==0 & osignal_m2==0, col
reg coop signal_m1 if coop_m1==0 & coop_m2==0 & signal_m2==0 & osignal_m1==0 & osignal_m2==0, cluster(session)

tab coop signal_m1 if coop_m1==0 & coop_m2==0 & signal_m2==0 & osignal_m1==0 & osignal_m2==1, col
reg coop signal_m1 if coop_m1==0 & coop_m2==0 & signal_m2==0 & osignal_m1==0 & osignal_m2==1, cluster(session)

tab coop signal_m1 if coop_m1==1 & coop_m2==1 & signal_m2==1 & osignal_m1==0 & osignal_m2==1, col
reg coop signal_m1 if coop_m1==1 & coop_m2==1 & signal_m2==1 & osignal_m1==0 & osignal_m2==1, cluster(session)

tab coop signal_m1 if coop_m1==1 & coop_m2==1 & signal_m2==1 & osignal_m1==1 & osignal_m2==1, col
reg coop signal_m1 if coop_m1==1 & coop_m2==1 & signal_m2==1 & osignal_m1==1 & osignal_m2==1, cluster(session)

* effect of signal from 2 rounds ago
tab coop signal_m2 if coop_m1==0 & coop_m2==0 & signal_m1==0 & osignal_m1==0 & osignal_m2==0, col
reg coop signal_m2 if coop_m1==0 & coop_m2==0 & signal_m1==0 & osignal_m1==0 & osignal_m2==0, cluster(session)

tab coop signal_m2 if coop_m1==1 & coop_m2==1 & signal_m1==1 & osignal_m1==0 & osignal_m2==0, col
reg coop signal_m2 if coop_m1==1 & coop_m2==1 & signal_m1==1 & osignal_m1==0 & osignal_m2==0, cluster(session)

tab coop signal_m2 if coop_m1==1 & coop_m2==1 & signal_m1==1 & osignal_m1==0 & osignal_m2==1, col
reg coop signal_m2 if coop_m1==1 & coop_m2==1 & signal_m1==1 & osignal_m1==0 & osignal_m2==1, cluster(session)

tab coop signal_m2 if coop_m1==1 & coop_m2==1 & signal_m1==1 & osignal_m1==1 & osignal_m2==1, col
reg coop signal_m2 if coop_m1==1 & coop_m2==1 & signal_m1==1 & osignal_m1==1 & osignal_m2==1, cluster(session)



* two consecutive "incorrect" signals
gen two_c_signal = ( signal_m1 == 1 & signal_m2 == 1 ) if round > 2
gen two_d_signal = ( signal_m1 == 0 & signal_m2 == 0 ) if round > 2

tab coop two_d_signal if coop_m1==1 & coop_m2==1 & osignal_m1==1 & osignal_m2==1, col
reg coop two_d_signal if coop_m1==1 & coop_m2==1 & osignal_m1==1 & osignal_m2==1, cluster(session)





////////
* Bhaskar would like to know if there are differences across treatments in round 1, conditional round 2, etc.
* the round 1 results are already done earlier and are reported in the text i believe.
// Comparisons of cooperation rates between treatments
use "data/stata/dat_same_01.dta", clear
tab random, g(rand_)
* round 1
table treatment if round == 1 & exp_2 == 1, c(mean coop)
reg coop public rand_2 rand_3 rand_4 if private == 0 & round == 1 & exp_2 == 1, cluster(session)
reg coop private rand_2 rand_3 rand_4 if public == 0 & round == 1 & exp_2 == 1, cluster(session)
reg coop private rand_2 rand_3 rand_4 if perfect == 0 & round == 1 & exp_2 == 1, cluster(session)

* round 2
bysort treatment: table coop_m1 ocsignal_m1 if round == 2 & exp_2 == 1, c(mean coop)
gen m1_00_pub = (coop_m1==0&ocsignal_m1==0&public==1)
gen m1_00_per = (coop_m1==0&ocsignal_m1==0&perfect==1)
gen m1_00_pri = (coop_m1==0&ocsignal_m1==0&private==1)
gen m1_01_pub = (coop_m1==0&ocsignal_m1==1&public==1)
gen m1_01_per = (coop_m1==0&ocsignal_m1==1&perfect==1)
gen m1_01_pri = (coop_m1==0&ocsignal_m1==1&private==1)
gen m1_10_pub = (coop_m1==1&ocsignal_m1==0&public==1)
gen m1_10_per = (coop_m1==1&ocsignal_m1==0&perfect==1)
gen m1_10_pri = (coop_m1==1&ocsignal_m1==0&private==1)
gen m1_11_pub = (coop_m1==1&ocsignal_m1==1&public==1)
gen m1_11_per = (coop_m1==1&ocsignal_m1==1&perfect==1)
gen m1_11_pri = (coop_m1==1&ocsignal_m1==1&private==1)
* perfect vs public
reg coop m1_00_pub m1_01_per m1_01_pub m1_10_per m1_10_pub m1_11_per m1_11_pub rand_2 rand_3 rand_4 if private == 0 & round == 2 & exp_2 == 1, cluster(session)
test m1_00_pub = 0
test m1_01_per = m1_01_pub, accum
test m1_10_per = m1_10_pub, accum
test m1_11_per = m1_11_pub, accum
* perfect vs private
reg coop m1_00_pri m1_01_per m1_01_pri m1_10_per m1_10_pri m1_11_per m1_11_pri rand_2 rand_3 rand_4 if public == 0 & round == 2 & exp_2 == 1, cluster(session)
test m1_00_pri = 0
test m1_01_per = m1_01_pri, accum
test m1_10_per = m1_10_pri, accum
test m1_11_per = m1_11_pri, accum
* private vs public
reg coop m1_00_pri m1_01_pub m1_01_pri m1_10_pub m1_10_pri m1_11_pub m1_11_pri rand_2 rand_3 rand_4 if perfect == 0 & round == 2 & exp_2 == 1, cluster(session)
test m1_00_pri = 0
test m1_01_pub = m1_01_pri, accum
test m1_10_pub = m1_10_pri, accum
test m1_11_pub = m1_11_pri, accum

* round 3
bysort date id match (round): gen coop_m2 = coop_m1[_n-1]
bysort date id match (round): gen ocsignal_m2 = ocsignal_m1[_n-1]
bysort treatment coop_m2 ocsignal_m2: table coop_m1 ocsignal_m1 if round == 3 & exp_2 == 1, c(mean coop)
gen m2_00_m1_00_pub = (coop_m2==0&ocsignal_m2==0&coop_m1==0&ocsignal_m1==0&public==1)
gen m2_00_m1_00_per = (coop_m2==0&ocsignal_m2==0&coop_m1==0&ocsignal_m1==0&perfect==1)
gen m2_00_m1_00_pri = (coop_m2==0&ocsignal_m2==0&coop_m1==0&ocsignal_m1==0&private==1)
gen m2_00_m1_01_pub = (coop_m2==0&ocsignal_m2==0&coop_m1==0&ocsignal_m1==1&public==1)
gen m2_00_m1_01_per = (coop_m2==0&ocsignal_m2==0&coop_m1==0&ocsignal_m1==1&perfect==1)
gen m2_00_m1_01_pri = (coop_m2==0&ocsignal_m2==0&coop_m1==0&ocsignal_m1==1&private==1)
gen m2_00_m1_10_pub = (coop_m2==0&ocsignal_m2==0&coop_m1==1&ocsignal_m1==0&public==1)
gen m2_00_m1_10_per = (coop_m2==0&ocsignal_m2==0&coop_m1==1&ocsignal_m1==0&perfect==1)
gen m2_00_m1_10_pri = (coop_m2==0&ocsignal_m2==0&coop_m1==1&ocsignal_m1==0&private==1)
gen m2_00_m1_11_pub = (coop_m2==0&ocsignal_m2==0&coop_m1==1&ocsignal_m1==1&public==1)
gen m2_00_m1_11_per = (coop_m2==0&ocsignal_m2==0&coop_m1==1&ocsignal_m1==1&perfect==1)
gen m2_00_m1_11_pri = (coop_m2==0&ocsignal_m2==0&coop_m1==1&ocsignal_m1==1&private==1)

gen m2_01_m1_00_pub = (coop_m2==0&ocsignal_m2==1&coop_m1==0&ocsignal_m1==0&public==1)
gen m2_01_m1_00_per = (coop_m2==0&ocsignal_m2==1&coop_m1==0&ocsignal_m1==0&perfect==1)
gen m2_01_m1_00_pri = (coop_m2==0&ocsignal_m2==1&coop_m1==0&ocsignal_m1==0&private==1)
gen m2_01_m1_01_pub = (coop_m2==0&ocsignal_m2==1&coop_m1==0&ocsignal_m1==1&public==1)
gen m2_01_m1_01_per = (coop_m2==0&ocsignal_m2==1&coop_m1==0&ocsignal_m1==1&perfect==1)
gen m2_01_m1_01_pri = (coop_m2==0&ocsignal_m2==1&coop_m1==0&ocsignal_m1==1&private==1)
gen m2_01_m1_10_pub = (coop_m2==0&ocsignal_m2==1&coop_m1==1&ocsignal_m1==0&public==1)
gen m2_01_m1_10_per = (coop_m2==0&ocsignal_m2==1&coop_m1==1&ocsignal_m1==0&perfect==1)
gen m2_01_m1_10_pri = (coop_m2==0&ocsignal_m2==1&coop_m1==1&ocsignal_m1==0&private==1)
gen m2_01_m1_11_pub = (coop_m2==0&ocsignal_m2==1&coop_m1==1&ocsignal_m1==1&public==1)
gen m2_01_m1_11_per = (coop_m2==0&ocsignal_m2==1&coop_m1==1&ocsignal_m1==1&perfect==1)
gen m2_01_m1_11_pri = (coop_m2==0&ocsignal_m2==1&coop_m1==1&ocsignal_m1==1&private==1)

gen m2_10_m1_00_pub = (coop_m2==1&ocsignal_m2==0&coop_m1==0&ocsignal_m1==0&public==1)
gen m2_10_m1_00_per = (coop_m2==1&ocsignal_m2==0&coop_m1==0&ocsignal_m1==0&perfect==1)
gen m2_10_m1_00_pri = (coop_m2==1&ocsignal_m2==0&coop_m1==0&ocsignal_m1==0&private==1)
gen m2_10_m1_01_pub = (coop_m2==1&ocsignal_m2==0&coop_m1==0&ocsignal_m1==1&public==1)
gen m2_10_m1_01_per = (coop_m2==1&ocsignal_m2==0&coop_m1==0&ocsignal_m1==1&perfect==1)
gen m2_10_m1_01_pri = (coop_m2==1&ocsignal_m2==0&coop_m1==0&ocsignal_m1==1&private==1)
gen m2_10_m1_10_pub = (coop_m2==1&ocsignal_m2==0&coop_m1==1&ocsignal_m1==0&public==1)
gen m2_10_m1_10_per = (coop_m2==1&ocsignal_m2==0&coop_m1==1&ocsignal_m1==0&perfect==1)
gen m2_10_m1_10_pri = (coop_m2==1&ocsignal_m2==0&coop_m1==1&ocsignal_m1==0&private==1)
gen m2_10_m1_11_pub = (coop_m2==1&ocsignal_m2==0&coop_m1==1&ocsignal_m1==1&public==1)
gen m2_10_m1_11_per = (coop_m2==1&ocsignal_m2==0&coop_m1==1&ocsignal_m1==1&perfect==1)
gen m2_10_m1_11_pri = (coop_m2==1&ocsignal_m2==0&coop_m1==1&ocsignal_m1==1&private==1)

gen m2_11_m1_00_pub = (coop_m2==1&ocsignal_m2==1&coop_m1==0&ocsignal_m1==0&public==1)
gen m2_11_m1_00_per = (coop_m2==1&ocsignal_m2==1&coop_m1==0&ocsignal_m1==0&perfect==1)
gen m2_11_m1_00_pri = (coop_m2==1&ocsignal_m2==1&coop_m1==0&ocsignal_m1==0&private==1)
gen m2_11_m1_01_pub = (coop_m2==1&ocsignal_m2==1&coop_m1==0&ocsignal_m1==1&public==1)
gen m2_11_m1_01_per = (coop_m2==1&ocsignal_m2==1&coop_m1==0&ocsignal_m1==1&perfect==1)
gen m2_11_m1_01_pri = (coop_m2==1&ocsignal_m2==1&coop_m1==0&ocsignal_m1==1&private==1)
gen m2_11_m1_10_pub = (coop_m2==1&ocsignal_m2==1&coop_m1==1&ocsignal_m1==0&public==1)
gen m2_11_m1_10_per = (coop_m2==1&ocsignal_m2==1&coop_m1==1&ocsignal_m1==0&perfect==1)
gen m2_11_m1_10_pri = (coop_m2==1&ocsignal_m2==1&coop_m1==1&ocsignal_m1==0&private==1)
gen m2_11_m1_11_pub = (coop_m2==1&ocsignal_m2==1&coop_m1==1&ocsignal_m1==1&public==1)
gen m2_11_m1_11_per = (coop_m2==1&ocsignal_m2==1&coop_m1==1&ocsignal_m1==1&perfect==1)
gen m2_11_m1_11_pri = (coop_m2==1&ocsignal_m2==1&coop_m1==1&ocsignal_m1==1&private==1)

* perfect vs public (omitting  m2_00_m1_11_per, m2_00_m1_11_pub, m2_11_m1_00_pub: no obs)
reg coop m2_00_m1_00_pub m2_00_m1_01_per m2_00_m1_01_pub m2_00_m1_10_per m2_00_m1_10_pub ///
 m2_01_m1_00_per m2_01_m1_00_pub m2_01_m1_01_per m2_01_m1_01_pub m2_01_m1_10_per m2_01_m1_10_pub m2_01_m1_11_per m2_01_m1_11_pub ///
 m2_10_m1_00_per m2_10_m1_00_pub m2_10_m1_01_per m2_10_m1_01_pub m2_10_m1_10_per m2_10_m1_10_pub m2_10_m1_11_per m2_10_m1_11_pub ///
 m2_11_m1_00_per m2_11_m1_01_per m2_11_m1_01_pub m2_11_m1_10_per m2_11_m1_10_pub m2_11_m1_11_per m2_11_m1_11_pub ///
 rand_2 rand_3 rand_4 if private == 0 & round == 3 & exp_2 == 1, cluster(session)
test m2_00_m1_00_pub = 0
test m2_00_m1_01_per = m2_00_m1_01_pub, accum
/*test m2_00_m1_10_per = m2_00_m1_10_pub, accum first two imply third */
*test m2_00_m1_11_per = m2_00_m1_11_pub, accum
test m2_01_m1_00_per = m2_01_m1_00_pub, accum
test m2_01_m1_01_per = m2_01_m1_01_pub, accum
test m2_01_m1_10_per = m2_01_m1_10_pub, accum
/*test m2_01_m1_11_per = m2_01_m1_11_pub, accum last three imply this one*/
test m2_10_m1_00_per = m2_10_m1_00_pub, accum
test m2_10_m1_01_per = m2_10_m1_01_pub, accum
test m2_10_m1_10_per = m2_10_m1_10_pub, accum
/*test m2_10_m1_11_per = m2_10_m1_11_pub, accum last three imply this one*/
*test m2_11_m1_00_per = m2_11_m1_00_pub, accum
test m2_11_m1_01_per = m2_11_m1_01_pub, accum
test m2_11_m1_10_per = m2_11_m1_10_pub, accum
test m2_11_m1_11_per = m2_11_m1_11_pub, accum

* perfect vs private (omitting m2_00_m1_11_per, m2_00_m1_11_pri, m2_11_m1_00_pri: no obs)
reg coop m2_00_m1_00_pri m2_00_m1_01_per m2_00_m1_01_pri m2_00_m1_10_per m2_00_m1_10_pri  ///
 m2_01_m1_00_per m2_01_m1_00_pri m2_01_m1_01_per m2_01_m1_01_pri m2_01_m1_10_per m2_01_m1_10_pri m2_01_m1_11_per m2_01_m1_11_pri ///
 m2_10_m1_00_per m2_10_m1_00_pri m2_10_m1_01_per m2_10_m1_01_pri m2_10_m1_10_per m2_10_m1_10_pri m2_10_m1_11_per m2_10_m1_11_pri ///
 m2_11_m1_00_per m2_11_m1_01_per m2_11_m1_01_pri m2_11_m1_10_per m2_11_m1_10_pri m2_11_m1_11_per m2_11_m1_11_pri ///
 rand_2 rand_3 rand_4 if public == 0 & round == 3 & exp_2 == 1, cluster(session)
test m2_00_m1_00_pri = 0
test m2_00_m1_01_per = m2_00_m1_01_pri, accum
test m2_00_m1_10_per = m2_00_m1_10_pri, accum
/*test m2_00_m1_11_per = m2_00_m1_11_pri, accum first two imply third */
test m2_01_m1_00_per = m2_01_m1_00_pri, accum
test m2_01_m1_01_per = m2_01_m1_01_pri, accum
test m2_01_m1_10_per = m2_01_m1_10_pri, accum
/*test m2_01_m1_11_per = m2_01_m1_11_pri, accum last three imply this one*/
test m2_10_m1_00_per = m2_10_m1_00_pri, accum
test m2_10_m1_01_per = m2_10_m1_01_pri, accum
test m2_10_m1_10_per = m2_10_m1_10_pri, accum
/*test m2_10_m1_11_per = m2_10_m1_11_pri, accum last three imply this one*/
*test m2_11_m1_00_per = m2_11_m1_00_pri, accum
test m2_11_m1_01_per = m2_11_m1_01_pri, accum
test m2_11_m1_10_per = m2_11_m1_10_pri, accum
test m2_11_m1_11_per = m2_11_m1_11_pri, accum


* public vs private (omitting  m2_00_m1_11_pub, m2_11_m1_00_pub: no obs)
reg coop m2_00_m1_00_pri m2_00_m1_01_pub m2_00_m1_01_pri m2_00_m1_10_pub m2_00_m1_10_pri m2_00_m1_11_pri ///
 m2_01_m1_00_pub m2_01_m1_00_pri m2_01_m1_01_pub m2_01_m1_01_pri m2_01_m1_10_pub m2_01_m1_10_pri m2_01_m1_11_pub m2_01_m1_11_pri ///
 m2_10_m1_00_pub m2_10_m1_00_pri m2_10_m1_01_pub m2_10_m1_01_pri m2_10_m1_10_pub m2_10_m1_10_pri m2_10_m1_11_pub m2_10_m1_11_pri ///
 m2_11_m1_00_pri m2_11_m1_01_pub m2_11_m1_01_pri m2_11_m1_10_pub m2_11_m1_10_pri m2_11_m1_11_pub m2_11_m1_11_pri ///
 rand_2 rand_3 rand_4 if perfect == 0 & round == 3 & exp_2 == 1, cluster(session)
test m2_00_m1_00_pri = 0
test m2_00_m1_01_pub = m2_00_m1_01_pri, accum
test m2_00_m1_10_pub = m2_00_m1_10_pri, accum
/*test m2_00_m1_11_pub = m2_00_m1_11_pri, accum first two imply third */
test m2_01_m1_00_pub = m2_01_m1_00_pri, accum
test m2_01_m1_01_pub = m2_01_m1_01_pri, accum
test m2_01_m1_10_pub = m2_01_m1_10_pri, accum
/*test m2_01_m1_11_pub = m2_01_m1_11_pri, accum last three imply this one*/
test m2_10_m1_00_pub = m2_10_m1_00_pri, accum
test m2_10_m1_01_pub = m2_10_m1_01_pri, accum
test m2_10_m1_10_pub = m2_10_m1_10_pri, accum
/*test m2_10_m1_11_pub = m2_10_m1_11_pri, accum last three imply this one*/
*test m2_11_m1_00_pub = m2_11_m1_00_pri, accum
test m2_11_m1_01_pub = m2_11_m1_01_pri, accum
test m2_11_m1_10_pub = m2_11_m1_10_pri, accum
test m2_11_m1_11_pub = m2_11_m1_11_pri, accum

* Same as above but for first 4 matches (and without stat tests)
table treatment if round == 1 & match <= 4, c(mean coop)
bysort treatment: table coop_m1 ocsignal_m1 if round == 2 & match <= 4, c(mean coop)
bysort treatment coop_m2 ocsignal_m2: table coop_m1 ocsignal_m1 if round == 3 & match <= 4, c(mean coop)



* What is the probability of cooperation after X rounds of joint cooperation (as far as signals go)
use "data/stata/dat_same_01.dta", clear
keep if exp_2 == 1

gen foo = coop_m1 * ocsignal_m1
bysort date id match (round): gen bar = sum(foo)
bysort date id match (round): gen baz = _n
keep if bar == baz - 1      /* only keep the case of joint coop until that point */
collapse coop, by(treatment bar)

graph tw scatter coop bar if treatment == 1 & bar <= 10, connect(l) msymbol(T) lpattern(dot) || ///
  scatter coop bar if treatment == 2 & bar <= 10, connect(l) msymbol(o) lpattern(dash) || ///
  scatter coop bar if treatment == 3 & bar <= 10, connect(l) msymbol(Oh) lpattern(solid)  ///
  ytitle("Frequency of Cooperation") xtitle("Consecutive Cc")  ///
  yscale(r(1)) ylabel(0.6(0.1)1) xlabel(0(1)10)  ///
  legend(label(1 "Perfect") label(2 "Public") label(3 "Private")  ring(0) pos(3) size(small) rows(3))  ///
  graphregion(color(white)) bgcolor(white) scheme(s2mono)  ///
  saving("graph/foo", replace)

  graph export "text/files/cc.eps", replace
  graph export "text/files/cc.pdf", replace


//////////
* Can we show that behavior conditions on more than just the last round (at least for public and private)
use "data/stata/dat_same_01.dta", clear

* generate variables
bysort id match (round): gen coop_m2 = coop_m1[_n-1]
bysort id match (round): gen csignal_m2 = csignal_m1[_n-1]
bysort id match (round): gen ocsignal_m2 = ocsignal_m1[_n-1]
gen int_m1 = coop_m1*ocsignal_m1
gen pub_flag = (csignal_m1 == coop_m1 & csignal_m2 == coop_m2)
gen cc_m1 = (coop_m1==1&ocsignal_m1==1)
gen cd_m1 = (coop_m1==1&ocsignal_m1==0)
gen dc_m1 = (coop_m1==0&ocsignal_m1==1)
gen cc_m2 = (coop_m2==1&ocsignal_m2==1)
gen cd_m2 = (coop_m2==1&ocsignal_m2==0)
gen dc_m2 = (coop_m2==0&ocsignal_m2==1)

* drop data
keep if round == 3

* regressions
eststo: reg coop coop_m1 ocsignal_m1 int_m1 ocsignal_m2 if coop_m2 == 0 & perfect == 1, cluster(session)
eststo: reg coop coop_m1 ocsignal_m1 int_m1 ocsignal_m2 if coop_m2 == 1 & perfect == 1, cluster(session)
eststo: reg coop coop_m1 ocsignal_m1 int_m1 ocsignal_m2 if coop_m2 == 0 & public == 1 & pub_flag == 1, cluster(session)
eststo: reg coop coop_m1 ocsignal_m1 int_m1 ocsignal_m2 if coop_m2 == 1 & public == 1 & pub_flag == 1, cluster(session)
eststo: reg coop coop_m1 ocsignal_m1 int_m1 ocsignal_m2 if coop_m2 == 0 & private == 1, cluster(session)
eststo: reg coop coop_m1 ocsignal_m1 int_m1 ocsignal_m2 if coop_m2 == 1 & private == 1, cluster(session)

* produce latex table
esttab using round_three.tex, label b(3) se(3) star(* 0.10 ** 0.05 *** 0.01) replace
