function lik_i = lik_i_abf(gamma, match, min_match, max_match, id, min_id, max_id, strg)

% Estimates the probability of a sequence of 1/0 which indicate if choices
% corresponded to a strategy given a parameter gamma. This is computed for
% all matches of a given subject.
%
% input
%
% gamma is a scalar estimate
% match: indicates the match, > 0
% min_match: = min(match)
% max_match: = max(match)
% id: subject specific identifier
% min_id: = min(id)
% max_id: = max(id)
% strg: vector which takes value 1 if the choice corresponded to the
% strategy and 0 o/w
%
% output
%
% -loglikelihood
%--------------------------------------------------------------------------

% computations begin
p_imr = ( ( 1 ./ ( 1 + exp(- 1 / gamma) ) )*( strg ) ) +...
    (( 1 ./ ( 1 + exp( 1 / gamma) ) )*( 1 - strg ));

ij = 0;
for i = min_id:max_id
    ij = ij + 1;
    p_im(ij,1) = prod(p_imr(find(id == i)));
end

lik_i = p_im;
